package Jgun.CafeFinder;

import Jgun.CafeFinder.adapter.ListAdapterClass;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.loader.AngelinusLoad;
import Jgun.CafeFinder.loader.BaskinRobbinsLoad;
import Jgun.CafeFinder.loader.Cafe7GramLoad;
import Jgun.CafeFinder.loader.CaffebeneLoad;
import Jgun.CafeFinder.loader.CoffeebeanLoad;
import Jgun.CafeFinder.loader.CoffeenieLoad;
import Jgun.CafeFinder.loader.CoffineLoad;
import Jgun.CafeFinder.loader.DeChocolateLoad;
import Jgun.CafeFinder.loader.DunkinLoad;
import Jgun.CafeFinder.loader.EdiyaLoad;
import Jgun.CafeFinder.loader.HollysLoad;
import Jgun.CafeFinder.loader.JavaCityLoad;
import Jgun.CafeFinder.loader.PascucciLoad;
import Jgun.CafeFinder.loader.SevenMonkeysLoad;
import Jgun.CafeFinder.loader.StarbucksLoad;
import Jgun.CafeFinder.loader.TomntomsLoad;
import Jgun.CafeFinder.loader.TwosomeLoad;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import com.cauly.android.ad.AdView;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import net.daum.mobilead.AdHttpListener;
import net.daum.mobilead.MobileAdView;

public class CategoryList extends Activity
  implements AdHttpListener
{

  @Signature({"Ljava/util/Comparator", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;"})
  private static final Comparator CompareWithDistance = new CategoryList.1();

  @Signature({"Ljava/util/Comparator", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;"})
  private static final Comparator CompareWithName = new CategoryList.2();
  private AdView adCauly;
  private MobileAdView adDaum;
  private ListAdapterClass adapter;
  private Button btnAr;
  private Button btnCardInfo;
  private Button btnCostInfo;
  private Button btnMap;
  private Button btnOrderDistance;
  private Button btnOrderName;
  private ImageView imageNoData;
  private ListView list;
  private String mCafeCategory;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;"})
  ArrayList mCafeList;
  private ImageView mImageTitle;
  private String mLocationAddress;
  private ORDER_TYPE mOrderType;
  private String mPath;
  private int mScroll;
  private String mStoreName;
  private Activity mThis;
  private Util mUtil;

  public CategoryList()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    this.mCafeList = null;
    this.adapter = null;
    this.btnCardInfo = null;
    this.btnCostInfo = null;
    this.btnMap = null;
    this.btnAr = null;
    this.btnOrderDistance = null;
    this.btnOrderName = null;
    this.mScroll = 0;
    this.mCafeCategory = "ALL";
    this.mStoreName = "";
    this.mLocationAddress = "";
    this.mPath = "";
    ORDER_TYPE localORDER_TYPE = ORDER_TYPE.DISTANCE;
    this.mOrderType = localORDER_TYPE;
    this.adCauly = null;
    this.adDaum = null;
  }

  private void backKey()
  {
    if ((!this.mStoreName.equals("")) || (!this.mLocationAddress.equals("")))
    {
      Util localUtil1 = this.mUtil;
      Activity localActivity1 = this.mThis;
      localUtil1.goIntent(localActivity1, StoreFind.class, null);
    }
    while (true)
    {
      return;
      Util localUtil2 = this.mUtil;
      Activity localActivity2 = this.mThis;
      localUtil2.goIntent(localActivity2, Menu.class, null);
    }
  }

  @Signature({"()", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;"})
  private ArrayList getCafeList()
  {
    ArrayList localArrayList1 = new ArrayList();
    if (this.mCafeCategory.equals("Twosome"))
    {
      if (Common.getInstance().getChangeLocation(0))
      {
        TwosomeLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(0, 0);
      }
      ArrayList localArrayList2 = TwosomeLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList2);
    }
    if (this.mCafeCategory.equals("Tomntoms"))
    {
      if (Common.getInstance().getChangeLocation(1))
      {
        TomntomsLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(1, 0);
      }
      ArrayList localArrayList3 = TomntomsLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList3);
    }
    if (this.mCafeCategory.equals("Caffebene"))
    {
      if (Common.getInstance().getChangeLocation(2))
      {
        CaffebeneLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(2, 0);
      }
      ArrayList localArrayList4 = CaffebeneLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList4);
    }
    if (this.mCafeCategory.equals("Caffeebene"))
    {
      if (Common.getInstance().getChangeLocation(2))
      {
        CaffebeneLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(2, 0);
      }
      ArrayList localArrayList5 = CaffebeneLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList5);
    }
    if (this.mCafeCategory.equals("Starbucks"))
    {
      if (Common.getInstance().getChangeLocation(3))
      {
        StarbucksLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(3, 0);
      }
      ArrayList localArrayList6 = StarbucksLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList6);
    }
    if (this.mCafeCategory.equals("Angelinus"))
    {
      if (Common.getInstance().getChangeLocation(4))
      {
        AngelinusLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(4, 0);
      }
      ArrayList localArrayList7 = AngelinusLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList7);
    }
    if (this.mCafeCategory.equals("Hollys"))
    {
      if (Common.getInstance().getChangeLocation(5))
      {
        HollysLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(5, 0);
      }
      ArrayList localArrayList8 = HollysLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList8);
    }
    if (this.mCafeCategory.equals("Coffeebean"))
    {
      if (Common.getInstance().getChangeLocation(6))
      {
        CoffeebeanLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(6, 0);
      }
      ArrayList localArrayList9 = CoffeebeanLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList9);
    }
    if (this.mCafeCategory.equals("Pascucci"))
    {
      if (Common.getInstance().getChangeLocation(7))
      {
        PascucciLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(7, 0);
      }
      ArrayList localArrayList10 = PascucciLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList10);
    }
    if (this.mCafeCategory.equals("Ediya"))
    {
      if (Common.getInstance().getChangeLocation(8))
      {
        EdiyaLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(8, 0);
      }
      ArrayList localArrayList11 = EdiyaLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList11);
    }
    if (this.mCafeCategory.equals("Coffine"))
    {
      if (Common.getInstance().getChangeLocation(9))
      {
        CoffineLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(9, 0);
      }
      ArrayList localArrayList12 = CoffineLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList12);
    }
    if (this.mCafeCategory.equals("Dunkin"))
    {
      if (Common.getInstance().getChangeLocation(10))
      {
        DunkinLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(10, 0);
      }
      ArrayList localArrayList13 = DunkinLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList13);
    }
    if (this.mCafeCategory.equals("SevenMonkeys"))
    {
      if (Common.getInstance().getChangeLocation(11))
      {
        SevenMonkeysLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(11, 0);
      }
      ArrayList localArrayList14 = SevenMonkeysLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList14);
    }
    if (this.mCafeCategory.equals("DeChocolate"))
    {
      if (Common.getInstance().getChangeLocation(12))
      {
        DeChocolateLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(12, 0);
      }
      ArrayList localArrayList15 = DeChocolateLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList15);
    }
    if (this.mCafeCategory.equals("JavaCity"))
    {
      if (Common.getInstance().getChangeLocation(13))
      {
        JavaCityLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(13, 0);
      }
      ArrayList localArrayList16 = JavaCityLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList16);
    }
    if (this.mCafeCategory.equals("Coffeenie"))
    {
      if (Common.getInstance().getChangeLocation(14))
      {
        CoffeenieLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(14, 0);
      }
      ArrayList localArrayList17 = CoffeenieLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList17);
    }
    if (this.mCafeCategory.equals("BaskinRobbins"))
    {
      if (Common.getInstance().getChangeLocation(15))
      {
        BaskinRobbinsLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(15, 0);
      }
      ArrayList localArrayList18 = BaskinRobbinsLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList18);
    }
    if (this.mCafeCategory.equals("Cafe7Gram"))
    {
      if (Common.getInstance().getChangeLocation(16))
      {
        Cafe7GramLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(16, 0);
      }
      ArrayList localArrayList19 = Cafe7GramLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList19);
    }
    if (this.mCafeCategory.equals("ALL"))
    {
      Common.getInstance().resetDistance();
      ArrayList localArrayList20 = EdiyaLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList20);
      ArrayList localArrayList21 = PascucciLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList21);
      ArrayList localArrayList22 = CoffeebeanLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList22);
      ArrayList localArrayList23 = HollysLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList23);
      ArrayList localArrayList24 = AngelinusLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList24);
      ArrayList localArrayList25 = StarbucksLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList25);
      ArrayList localArrayList26 = CaffebeneLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList26);
      ArrayList localArrayList27 = TomntomsLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList27);
      ArrayList localArrayList28 = TwosomeLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList28);
      ArrayList localArrayList29 = CoffineLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList29);
      ArrayList localArrayList30 = DunkinLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList30);
      ArrayList localArrayList31 = SevenMonkeysLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList31);
      ArrayList localArrayList32 = DeChocolateLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList32);
      ArrayList localArrayList33 = JavaCityLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList33);
      ArrayList localArrayList34 = CoffeenieLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList34);
      ArrayList localArrayList35 = BaskinRobbinsLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList35);
      ArrayList localArrayList36 = Cafe7GramLoad.getInstance().getCafeList();
      localArrayList1.addAll(localArrayList36);
    }
    ArrayList localArrayList37 = new ArrayList();
    int i = 0;
    int j = localArrayList1.size();
    if (i >= j)
      return localArrayList37;
    if ((this.mStoreName != null) && (!this.mStoreName.equals("")) && (!this.mLocationAddress.equals("")) && (!this.mLocationAddress.equals("- �꾩")))
    {
      String str1 = ((CafeDataSuper)localArrayList1.get(i)).getStoreName();
      String str2 = this.mStoreName;
      if (str1.contains(str2))
      {
        String str3 = ((CafeDataSuper)localArrayList1.get(i)).getAddress();
        String str4 = this.mLocationAddress;
        if (str3.contains(str4))
        {
          CafeDataSuper localCafeDataSuper1 = (CafeDataSuper)localArrayList1.get(i);
          localArrayList37.add(localCafeDataSuper1);
        }
      }
    }
    while (true)
    {
      i += 1;
      break;
      if ((this.mStoreName != null) && (!this.mStoreName.equals("")))
      {
        String str5 = ((CafeDataSuper)localArrayList1.get(i)).getStoreName();
        String str6 = this.mStoreName;
        if (!str5.contains(str6))
          continue;
        CafeDataSuper localCafeDataSuper2 = (CafeDataSuper)localArrayList1.get(i);
        localArrayList37.add(localCafeDataSuper2);
        continue;
      }
      if ((!this.mLocationAddress.equals("")) && (!this.mLocationAddress.equals("- �꾩")))
      {
        String str7 = ((CafeDataSuper)localArrayList1.get(i)).getAddress().substring(0, 3);
        String str8 = this.mLocationAddress;
        if ((!str7.contains(str8)) || (((CafeDataSuper)localArrayList1.get(i)).getStoreName().equals("")))
          continue;
        CafeDataSuper localCafeDataSuper3 = (CafeDataSuper)localArrayList1.get(i);
        localArrayList37.add(localCafeDataSuper3);
        continue;
      }
      if (!this.mPath.equals("STORE_FIND"))
      {
        float f1 = ((CafeDataSuper)localArrayList1.get(i)).getDistance();
        float f2 = Common.getInstance().getSearchDistance(this) * 1000.0F;
        if ((f1 > f2) || (((CafeDataSuper)localArrayList1.get(i)).getStoreName().equals("")))
          continue;
        CafeDataSuper localCafeDataSuper4 = (CafeDataSuper)localArrayList1.get(i);
        localArrayList37.add(localCafeDataSuper4);
        continue;
      }
      if (((CafeDataSuper)localArrayList1.get(i)).getStoreName().equals(""))
        continue;
      CafeDataSuper localCafeDataSuper5 = (CafeDataSuper)localArrayList1.get(i);
      localArrayList37.add(localCafeDataSuper5);
    }
  }

  @Signature({"(", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;)V"})
  private void sortArrayListBy(ArrayList paramArrayList)
  {
    ORDER_TYPE localORDER_TYPE1 = this.mOrderType;
    ORDER_TYPE localORDER_TYPE2 = ORDER_TYPE.DISTANCE;
    if (localORDER_TYPE1 == localORDER_TYPE2)
    {
      Comparator localComparator1 = CompareWithDistance;
      Collections.sort(paramArrayList, localComparator1);
    }
    while (true)
    {
      return;
      Comparator localComparator2 = CompareWithName;
      Collections.sort(paramArrayList, localComparator2);
    }
  }

  public void didDownloadAd_AdListener()
  {
  }

  public void failedDownloadAd_AdListener(int paramInt, String paramString)
  {
    AdView localAdView = this.adCauly;
    MobileAdView localMobileAdView = this.adDaum;
    Common.caulyEnable(localAdView, localMobileAdView);
  }

  public void onBackPressed()
  {
    backKey();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903042);
    this.mThis = this;
    Object[] arrayOfObject = Common.initAdView(this, this);
    MobileAdView localMobileAdView = (MobileAdView)arrayOfObject[0];
    this.adDaum = localMobileAdView;
    AdView localAdView = (AdView)arrayOfObject[1];
    this.adCauly = localAdView;
    Common.getInstance().reloadCurrentLocationNetwork();
    ListView localListView1 = (ListView)findViewById(2131230728);
    this.list = localListView1;
    ImageView localImageView1 = (ImageView)findViewById(2131230746);
    this.imageNoData = localImageView1;
    ImageView localImageView2 = (ImageView)findViewById(2131230723);
    this.mImageTitle = localImageView2;
    Button localButton1 = (Button)findViewById(2131230749);
    this.btnCardInfo = localButton1;
    Button localButton2 = (Button)findViewById(2131230750);
    this.btnCostInfo = localButton2;
    Button localButton3 = (Button)findViewById(2131230748);
    this.btnMap = localButton3;
    Button localButton4 = (Button)findViewById(2131230747);
    this.btnAr = localButton4;
    Button localButton5 = (Button)findViewById(2131230744);
    this.btnOrderDistance = localButton5;
    Button localButton6 = (Button)findViewById(2131230745);
    this.btnOrderName = localButton6;
    try
    {
      if (getIntent().getExtras().getString("ORDER_TYPE").equals("DISTANCE"))
      {
        ORDER_TYPE localORDER_TYPE1 = ORDER_TYPE.DISTANCE;
        this.mOrderType = localORDER_TYPE1;
        this.btnOrderDistance.setBackgroundResource(2130837567);
        this.btnOrderName.setBackgroundResource(2130837570);
        Button localButton7 = this.btnOrderDistance;
        CategoryList.3 local3 = new CategoryList.3(this);
        localButton7.setOnClickListener(local3);
        Button localButton8 = this.btnOrderName;
        CategoryList.4 local4 = new CategoryList.4(this);
        localButton8.setOnClickListener(local4);
      }
    }
    catch (Exception localException1)
    {
      try
      {
        while (true)
        {
          String str1 = getIntent().getExtras().getString("CAFE_CATEGORY");
          this.mCafeCategory = str1;
          try
          {
            label337: String str2 = getIntent().getExtras().getString("STORE_NAME");
            this.mStoreName = str2;
            label358: if (this.mStoreName == null)
              this.mStoreName = "";
            try
            {
              String str3 = getIntent().getExtras().getString("PATH");
              this.mPath = str3;
              label392: if (this.mPath == null)
                this.mPath = "";
              try
              {
                String str4 = getIntent().getExtras().getString("STORE_ADDRESS");
                this.mLocationAddress = str4;
                label426: if (this.mLocationAddress == null)
                  this.mLocationAddress = "";
                if (this.mLocationAddress != "")
                  this.mImageTitle.setBackgroundResource(2130837659);
                try
                {
                  int i = Integer.parseInt(this.mThis.getIntent().getExtras().getString("SCROLL"));
                  this.mScroll = i;
                  label485: MyAsyncTask localMyAsyncTask = new MyAsyncTask();
                  Void[] arrayOfVoid = new Void[0];
                  localMyAsyncTask.execute(arrayOfVoid);
                  if ((this.mCafeCategory.equals("ALL")) || (this.mPath.equals("STORE_FIND")))
                  {
                    this.mImageTitle.setBackgroundResource(2130837662);
                    this.btnCardInfo.setBackgroundResource(2130837509);
                    this.btnCostInfo.setBackgroundResource(2130837509);
                  }
                  while (true)
                  {
                    if ((!this.mStoreName.equals("")) || (!this.mLocationAddress.equals("")))
                      this.mImageTitle.setBackgroundResource(2130837659);
                    Button localButton9 = this.btnMap;
                    CategoryList.7 local7 = new CategoryList.7(this);
                    localButton9.setOnClickListener(local7);
                    Button localButton10 = this.btnAr;
                    CategoryList.8 local8 = new CategoryList.8(this);
                    localButton10.setOnClickListener(local8);
                    ListView localListView2 = this.list;
                    CategoryList.9 local9 = new CategoryList.9(this);
                    localListView2.setOnItemClickListener(local9);
                    return;
                    ORDER_TYPE localORDER_TYPE2 = ORDER_TYPE.NAME;
                    this.mOrderType = localORDER_TYPE2;
                    this.btnOrderDistance.setBackgroundResource(2130837569);
                    this.btnOrderName.setBackgroundResource(2130837568);
                    break;
                    localException1 = localException1;
                    ORDER_TYPE localORDER_TYPE3 = ORDER_TYPE.DISTANCE;
                    this.mOrderType = localORDER_TYPE3;
                    this.btnOrderDistance.setBackgroundResource(2130837567);
                    this.btnOrderName.setBackgroundResource(2130837570);
                    break;
                    Button localButton11 = this.btnCardInfo;
                    CategoryList.5 local5 = new CategoryList.5(this);
                    localButton11.setOnClickListener(local5);
                    Button localButton12 = this.btnCostInfo;
                    CategoryList.6 local6 = new CategoryList.6(this);
                    localButton12.setOnClickListener(local6);
                  }
                }
                catch (Exception localException2)
                {
                  break label485;
                }
              }
              catch (Exception localException3)
              {
                break label426;
              }
            }
            catch (Exception localException4)
            {
              break label392;
            }
          }
          catch (Exception localException5)
          {
            break label358;
          }
        }
      }
      catch (Exception localException6)
      {
        break label337;
      }
    }
  }

  public void onDestroy()
  {
    onDestroy();
    if (this.adDaum != null)
    {
      this.adDaum.destroy();
      this.adDaum = null;
    }
  }

  public void onPause()
  {
    onPause();
  }

  public void onResume()
  {
    onResume();
    Common.getInstance().startGpsService(this);
  }

  @Signature({"Landroid/os/AsyncTask", "<", "Ljava/lang/Void;", "Ljava/lang/Void;", "Ljava/lang/Void;", ">;"})
  class MyAsyncTask extends AsyncTask
  {
    private ProgressDialog progressDialog;

    MyAsyncTask()
    {
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      try
      {
        CategoryList localCategoryList1 = CategoryList.this;
        ArrayList localArrayList1 = CategoryList.this.getCafeList();
        localCategoryList1.mCafeList = localArrayList1;
        CategoryList localCategoryList2 = CategoryList.this;
        ArrayList localArrayList2 = CategoryList.this.mCafeList;
        localCategoryList2.sortArrayListBy(localArrayList2);
        Common.getInstance().setBeforePageIsList(1);
        Common localCommon = Common.getInstance();
        ArrayList localArrayList3 = CategoryList.this.mCafeList;
        localCommon.setCafeList(localArrayList3);
        return null;
      }
      catch (Exception localException)
      {
        while (true)
          localException.printStackTrace();
      }
    }

    protected void onPostExecute(Void paramVoid)
    {
      onPostExecute(paramVoid);
      if (this.progressDialog != null)
        this.progressDialog.dismiss();
      if (CategoryList.this.mCafeList.size() > 0)
      {
        CategoryList.this.list.setVisibility(0);
        CategoryList.this.imageNoData.setVisibility(8);
        CategoryList localCategoryList = CategoryList.this;
        Activity localActivity = CategoryList.this.mThis;
        ArrayList localArrayList = CategoryList.this.mCafeList;
        ListAdapterClass localListAdapterClass1 = new ListAdapterClass(localActivity, localArrayList, 2130903043);
        localCategoryList.adapter = localListAdapterClass1;
        ListView localListView1 = CategoryList.this.list;
        ListAdapterClass localListAdapterClass2 = CategoryList.this.adapter;
        localListView1.setAdapter(localListAdapterClass2);
      }
      while (true)
      {
        ListView localListView2 = CategoryList.this.list;
        int i = CategoryList.this.mScroll;
        localListView2.setSelection(i);
        return;
        CategoryList.this.list.setVisibility(8);
        CategoryList.this.imageNoData.setVisibility(0);
      }
    }

    protected void onPreExecute()
    {
      onPreExecute();
      ProgressDialog localProgressDialog = ProgressDialog.show(CategoryList.this.mThis, "", "�곗씠��濡쒕뵫以묒엯�");
      this.progressDialog = localProgressDialog;
      this.progressDialog.setCancelable(1);
    }
  }

  @Signature({"Ljava/lang/Enum", "<", "LJgun/CafeFinder/CategoryList$ORDER_TYPE;", ">;"})
  enum ORDER_TYPE
  {
    static
    {
      ORDER_TYPE[] arrayOfORDER_TYPE = new ORDER_TYPE[2];
      ORDER_TYPE localORDER_TYPE1 = DISTANCE;
      arrayOfORDER_TYPE[0] = localORDER_TYPE1;
      ORDER_TYPE localORDER_TYPE2 = NAME;
      arrayOfORDER_TYPE[1] = localORDER_TYPE2;
      ENUM$VALUES = arrayOfORDER_TYPE;
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.CategoryList
 * JD-Core Version:    0.6.0
 */