package Jgun.CafeFinder;

import Jgun.CafeFinder.loader.AngelinusLoad;
import Jgun.CafeFinder.loader.BaskinRobbinsLoad;
import Jgun.CafeFinder.loader.Cafe7GramLoad;
import Jgun.CafeFinder.loader.CaffebeneLoad;
import Jgun.CafeFinder.loader.CardInfoLoad;
import Jgun.CafeFinder.loader.CoffeebeanLoad;
import Jgun.CafeFinder.loader.CoffeenieLoad;
import Jgun.CafeFinder.loader.CoffineLoad;
import Jgun.CafeFinder.loader.DeChocolateLoad;
import Jgun.CafeFinder.loader.DunkinLoad;
import Jgun.CafeFinder.loader.EdiyaLoad;
import Jgun.CafeFinder.loader.HollysLoad;
import Jgun.CafeFinder.loader.JavaCityLoad;
import Jgun.CafeFinder.loader.PascucciLoad;
import Jgun.CafeFinder.loader.SevenMonkeysLoad;
import Jgun.CafeFinder.loader.StarbucksLoad;
import Jgun.CafeFinder.loader.TomntomsLoad;
import Jgun.CafeFinder.loader.TwosomeLoad;
import Jgun.CommonLib.Database;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.app.ActivityManager;
import android.app.ProgressDialog;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Handler;
import dalvik.annotation.Signature;
import java.util.ArrayList;

public class Loading extends Activity
{
  Database mDb;
  private Activity mThis;
  Util mUtil;

  public Loading()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    Database localDatabase = new Database();
    this.mDb = localDatabase;
  }

  private void dbCheck()
  {
    Database localDatabase1 = this.mDb;
    String str1 = Common.DBNAME;
    if (!localDatabase1.isTableExist(this, str1, "bookmark"))
    {
      ArrayList localArrayList1 = new ArrayList();
      ArrayList localArrayList2 = new ArrayList();
      localArrayList1.add("storeTypeName");
      localArrayList2.add("TEXT");
      localArrayList1.add("position");
      localArrayList2.add("int");
      Database localDatabase2 = this.mDb;
      String str2 = Common.DBNAME;
      Loading localLoading1 = this;
      localDatabase2.createTable(localLoading1, str2, "bookmark", localArrayList1, localArrayList2);
    }
    String str3 = "mycard";
    Database localDatabase3 = this.mDb;
    String str4 = Common.DBNAME;
    if (!localDatabase3.isTableExist(this, str4, str3))
    {
      ArrayList localArrayList3 = new ArrayList();
      ArrayList localArrayList4 = new ArrayList();
      localArrayList3.add("cardTypeName");
      localArrayList4.add("TEXT");
      localArrayList3.add("position");
      localArrayList4.add("int");
      Database localDatabase4 = this.mDb;
      String str5 = Common.DBNAME;
      Loading localLoading2 = this;
      localDatabase4.createTable(localLoading2, str5, str3, localArrayList3, localArrayList4);
    }
  }

  public void Run()
  {
    GpsGlobal.getInstance().getNetwork().callNetworkLocation();
    GpsGlobal.getInstance().getGps().callGpsLocation();
    MyAsyncTask localMyAsyncTask = new MyAsyncTask();
    Void[] arrayOfVoid = new Void[0];
    localMyAsyncTask.execute(arrayOfVoid);
  }

  public void onBackPressed()
  {
    ActivityManager localActivityManager = (ActivityManager)getSystemService("activity");
    String str = getPackageName();
    localActivityManager.restartPackage(str);
    finish();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903044);
    this.mThis = this;
  }

  public void onPause()
  {
    onPause();
  }

  public void onResume()
  {
    onResume();
    GpsGlobal.getInstanceInit(this).removeGpsUpdates();
    if (!GpsGlobal.getInstance().getNetwork().checkNetworkEnabled())
      GpsGlobal.getInstance().getNetwork().alertGpsState(this);
    while (true)
    {
      return;
      GpsGlobal.getInstance().getNetwork().callNetworkLocation();
      if (!GpsGlobal.getInstance().getGps().checkGpsEnabled())
      {
        GpsGlobal.getInstance().getNetwork().alertGpsState(this);
        continue;
      }
      GpsGlobal.getInstance().getGps().callGpsLocation();
      MyAsyncTask localMyAsyncTask = new MyAsyncTask();
      Void[] arrayOfVoid = new Void[0];
      localMyAsyncTask.execute(arrayOfVoid);
    }
  }

  @Signature({"Landroid/os/AsyncTask", "<", "Ljava/lang/Void;", "Ljava/lang/Void;", "Ljava/lang/Void;", ">;"})
  class MyAsyncTask extends AsyncTask
  {
    private ProgressDialog progressDialog;

    MyAsyncTask()
    {
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      Loading.this.dbCheck();
      CardInfoLoad.getInstance();
      if (Common.getInstance().getChangeLocation(0))
      {
        TwosomeLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(0, 0);
      }
      if (Common.getInstance().getChangeLocation(1))
      {
        TomntomsLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(1, 0);
      }
      if (Common.getInstance().getChangeLocation(2))
      {
        CaffebeneLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(2, 0);
      }
      if (Common.getInstance().getChangeLocation(3))
      {
        StarbucksLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(3, 0);
      }
      if (Common.getInstance().getChangeLocation(4))
      {
        AngelinusLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(4, 0);
      }
      if (Common.getInstance().getChangeLocation(5))
      {
        HollysLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(5, 0);
      }
      if (Common.getInstance().getChangeLocation(6))
      {
        CoffeebeanLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(6, 0);
      }
      if (Common.getInstance().getChangeLocation(7))
      {
        PascucciLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(7, 0);
      }
      if (Common.getInstance().getChangeLocation(8))
      {
        EdiyaLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(8, 0);
      }
      if (Common.getInstance().getChangeLocation(9))
      {
        CoffineLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(9, 0);
      }
      if (Common.getInstance().getChangeLocation(10))
      {
        DunkinLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(10, 0);
      }
      if (Common.getInstance().getChangeLocation(11))
      {
        SevenMonkeysLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(11, 0);
      }
      if (Common.getInstance().getChangeLocation(12))
      {
        DeChocolateLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(12, 0);
      }
      if (Common.getInstance().getChangeLocation(13))
      {
        JavaCityLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(13, 0);
      }
      if (Common.getInstance().getChangeLocation(14))
      {
        CoffeenieLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(14, 0);
      }
      if (Common.getInstance().getChangeLocation(15))
      {
        BaskinRobbinsLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(15, 0);
      }
      if (Common.getInstance().getChangeLocation(16))
      {
        Cafe7GramLoad.getInstance().setDistance();
        Common.getInstance().setChangeLocation(16, 0);
      }
      return null;
    }

    protected void onPostExecute(Void paramVoid)
    {
      new Loading.MyAsyncTask.1(this).sendEmptyMessageDelayed(0, 2000L);
      onPostExecute(paramVoid);
    }

    protected void onPreExecute()
    {
      onPreExecute();
      ProgressDialog localProgressDialog = ProgressDialog.show(Loading.this.mThis, "", "珥덇린�붿쨷�낅땲��");
      this.progressDialog = localProgressDialog;
      this.progressDialog.setCancelable(1);
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.Loading
 * JD-Core Version:    0.6.0
 */