package Jgun.CafeFinder;

import Jgun.CafeFinder.adapter.ProductListAdapterClass;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.data.CafeDataSuper.STORE_TYPE;
import Jgun.CafeFinder.data.ProductInfo;
import Jgun.CafeFinder.data.ProductInfo.TYPE;
import Jgun.CafeFinder.loader.ProductInfo2Load;
import Jgun.CafeFinder.loader.ProductInfoLoad;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import com.cauly.android.ad.AdView;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import net.daum.mobilead.AdHttpListener;
import net.daum.mobilead.MobileAdView;

public class ProductList extends Activity
  implements AdHttpListener
{

  @Signature({"Ljava/util/Comparator", "<", "LJgun/CafeFinder/data/ProductInfo;", ">;"})
  private static final Comparator CompareWithName = new ProductList.1();
  private AdView adCauly;
  private MobileAdView adDaum;
  private ProductListAdapterClass adapter;
  private Button btnBakery;
  private Button btnCoffee;
  private Button btnTumbler;
  private ImageView imageCardNo;
  private LinearLayout layoutCardNo;
  private ListView list;
  private String mCafeCategory = "";
  private String mCallPath = "";
  private String mLocationAddress;
  private String mOrderType;
  private String mPath;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/ProductInfo;", ">;"})
  private ArrayList mProductList;
  private ProductInfo.TYPE mProductType;
  private String mScroll;
  private String mScroll2;
  private String mStoreName;
  private CafeDataSuper.STORE_TYPE mStoreType;
  private Activity mThis;
  Util mUtil;

  public ProductList()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    this.mScroll = "";
    this.mScroll2 = "";
    this.mStoreName = "";
    this.mLocationAddress = "";
    this.mOrderType = "";
    this.mPath = "";
    this.mProductList = null;
    this.adapter = null;
    ProductInfo.TYPE localTYPE = ProductInfo.TYPE.COFFEE;
    this.mProductType = localTYPE;
    this.mStoreType = null;
    this.adCauly = null;
    this.adDaum = null;
  }

  private void backKey()
  {
    if (this.mCafeCategory.equals("BOOKMARK"))
    {
      HashMap localHashMap1 = new HashMap();
      String str1 = this.mCafeCategory;
      localHashMap1.put("CAFE_CATEGORY", str1);
      String str2 = this.mScroll;
      localHashMap1.put("SCROLL", str2);
      String str3 = this.mLocationAddress;
      localHashMap1.put("STORE_ADDRESS", str3);
      String str4 = this.mStoreName;
      localHashMap1.put("STORE_NAME", str4);
      String str5 = this.mOrderType.toString();
      localHashMap1.put("ORDER_TYPE", str5);
      Util localUtil1 = this.mUtil;
      Activity localActivity1 = this.mThis;
      localUtil1.goIntent(localActivity1, ViewStoreDetail.class, localHashMap1);
    }
    while (true)
    {
      return;
      HashMap localHashMap2 = new HashMap();
      String str6 = this.mCafeCategory;
      localHashMap2.put("CAFE_CATEGORY", str6);
      String str7 = this.mScroll;
      localHashMap2.put("SCROLL", str7);
      String str8 = this.mLocationAddress;
      localHashMap2.put("STORE_ADDRESS", str8);
      String str9 = this.mStoreName;
      localHashMap2.put("STORE_NAME", str9);
      String str10 = this.mOrderType.toString();
      localHashMap2.put("ORDER_TYPE", str10);
      String str11 = this.mPath;
      localHashMap2.put("PATH", str11);
      if ((this.mCallPath != null) && (this.mCallPath.equals("LIST")))
      {
        Util localUtil2 = this.mUtil;
        Activity localActivity2 = this.mThis;
        localUtil2.goIntent(localActivity2, CategoryList.class, localHashMap2);
        continue;
      }
      Util localUtil3 = this.mUtil;
      Activity localActivity3 = this.mThis;
      localUtil3.goIntent(localActivity3, ViewStoreDetail.class, localHashMap2);
    }
  }

  private void clearBitmap()
  {
    int i = 0;
    int j = ProductInfoLoad.getInstance().getProductList().size();
    if (i >= j)
      i = 0;
    while (true)
    {
      int k = ProductInfo2Load.getInstance().getProductList().size();
      if (i >= k)
      {
        return;
        if (((ProductInfo)ProductInfoLoad.getInstance().getProductList().get(i)).getImgBitmap() != null)
          ((ProductInfo)ProductInfoLoad.getInstance().getProductList().get(i)).setImgBitmap(null);
        i += 1;
        break;
      }
      if (((ProductInfo)ProductInfo2Load.getInstance().getProductList().get(i)).getImgBitmap() != null)
        ((ProductInfo)ProductInfo2Load.getInstance().getProductList().get(i)).setImgBitmap(null);
      i += 1;
    }
  }

  @Signature({"()", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/ProductInfo;", ">;"})
  private ArrayList getProductList()
  {
    ArrayList localArrayList = new ArrayList();
    int i = 0;
    int j = ProductInfoLoad.getInstance().getProductList().size();
    if (i >= j)
      i = 0;
    while (true)
    {
      int k = ProductInfo2Load.getInstance().getProductList().size();
      if (i >= k)
      {
        return localArrayList;
        localProductInfo = (ProductInfo)ProductInfoLoad.getInstance().getProductList().get(i);
        CafeDataSuper.STORE_TYPE localSTORE_TYPE1 = localProductInfo.getStoreType();
        CafeDataSuper.STORE_TYPE localSTORE_TYPE2 = this.mStoreType;
        if (localSTORE_TYPE1 == localSTORE_TYPE2)
        {
          ProductInfo.TYPE localTYPE1 = localProductInfo.getProductType();
          ProductInfo.TYPE localTYPE2 = this.mProductType;
          if (localTYPE1 == localTYPE2)
            localArrayList.add(localProductInfo);
        }
        i += 1;
        break;
      }
      ProductInfo localProductInfo = (ProductInfo)ProductInfo2Load.getInstance().getProductList().get(i);
      CafeDataSuper.STORE_TYPE localSTORE_TYPE3 = localProductInfo.getStoreType();
      CafeDataSuper.STORE_TYPE localSTORE_TYPE4 = this.mStoreType;
      if (localSTORE_TYPE3 == localSTORE_TYPE4)
      {
        ProductInfo.TYPE localTYPE3 = localProductInfo.getProductType();
        ProductInfo.TYPE localTYPE4 = this.mProductType;
        if (localTYPE3 == localTYPE4)
          localArrayList.add(localProductInfo);
      }
      i += 1;
    }
  }

  public void didDownloadAd_AdListener()
  {
  }

  public void failedDownloadAd_AdListener(int paramInt, String paramString)
  {
    AdView localAdView = this.adCauly;
    MobileAdView localMobileAdView = this.adDaum;
    Common.caulyEnable(localAdView, localMobileAdView);
  }

  public void onBackPressed()
  {
    backKey();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903048);
    this.mThis = this;
    Object[] arrayOfObject = Common.initAdView(this, this);
    MobileAdView localMobileAdView = (MobileAdView)arrayOfObject[0];
    this.adDaum = localMobileAdView;
    AdView localAdView = (AdView)arrayOfObject[1];
    this.adCauly = localAdView;
    Common.getInstance().reloadCurrentLocationNetwork();
    Button localButton1 = (Button)findViewById(2131230797);
    this.btnCoffee = localButton1;
    Button localButton2 = (Button)findViewById(2131230798);
    this.btnBakery = localButton2;
    Button localButton3 = (Button)findViewById(2131230799);
    this.btnTumbler = localButton3;
    LinearLayout localLinearLayout = (LinearLayout)findViewById(2131230729);
    this.layoutCardNo = localLinearLayout;
    ImageView localImageView = (ImageView)findViewById(2131230730);
    this.imageCardNo = localImageView;
    ListView localListView1 = (ListView)findViewById(2131230728);
    this.list = localListView1;
    try
    {
      String str1 = getIntent().getExtras().getString("CAFE_CATEGORY");
      this.mCafeCategory = str1;
      try
      {
        label183: String str2 = getIntent().getExtras().getString("CALL_PATH");
        this.mCallPath = str2;
        try
        {
          label204: String str3 = getIntent().getExtras().getString("SCROLL");
          this.mScroll = str3;
          try
          {
            label224: String str4 = getIntent().getExtras().getString("SCROLL2");
            this.mScroll2 = str4;
            try
            {
              label245: String str5 = getIntent().getExtras().getString("STORE_NAME");
              this.mStoreName = str5;
              label265: if (this.mStoreName == null)
                this.mStoreName = "";
              try
              {
                String str6 = getIntent().getExtras().getString("STORE_ADDRESS");
                this.mLocationAddress = str6;
                label298: if (this.mLocationAddress == null)
                  this.mLocationAddress = "";
                try
                {
                  String str7 = getIntent().getExtras().getString("ORDER_TYPE");
                  this.mOrderType = str7;
                  try
                  {
                    label331: String str8 = getIntent().getExtras().getString("PATH");
                    this.mPath = str8;
                    label351: if (this.mPath == null)
                      this.mPath = "";
                    this.btnCoffee.setBackgroundResource(2130837545);
                    this.btnBakery.setBackgroundResource(2130837528);
                    this.btnTumbler.setBackgroundResource(2130837670);
                    Button localButton4 = this.btnCoffee;
                    ProductList.2 local2 = new ProductList.2(this);
                    localButton4.setOnClickListener(local2);
                    Button localButton5 = this.btnBakery;
                    ProductList.3 local3 = new ProductList.3(this);
                    localButton5.setOnClickListener(local3);
                    Button localButton6 = this.btnTumbler;
                    ProductList.4 local4 = new ProductList.4(this);
                    localButton6.setOnClickListener(local4);
                    ListView localListView2 = this.list;
                    ProductList.5 local5 = new ProductList.5(this);
                    localListView2.setOnItemClickListener(local5);
                    if ((this.mCafeCategory.equals("ALL")) || (this.mCafeCategory.equals("BOOKMARK")))
                    {
                      Common localCommon1 = Common.getInstance();
                      CafeDataSuper localCafeDataSuper = Common.getInstance().getEachCafeData();
                      CafeDataSuper.STORE_TYPE localSTORE_TYPE1 = localCommon1.getStoreType(localCafeDataSuper);
                      this.mStoreType = localSTORE_TYPE1;
                    }
                    try
                    {
                      String str9 = getIntent().getExtras().getString("PRODUCT_TYPE");
                      label554: if (str9 == null)
                      {
                        ProductInfo.TYPE localTYPE1 = ProductInfo.TYPE.COFFEE;
                        this.mProductType = localTYPE1;
                      }
                      while (true)
                      {
                        MyAsyncTask localMyAsyncTask = new MyAsyncTask();
                        Void[] arrayOfVoid = new Void[0];
                        localMyAsyncTask.execute(arrayOfVoid);
                        return;
                        Common localCommon2 = Common.getInstance();
                        String str10 = this.mCafeCategory;
                        CafeDataSuper.STORE_TYPE localSTORE_TYPE2 = localCommon2.getStoreType(str10);
                        this.mStoreType = localSTORE_TYPE2;
                        break;
                        if (str9.equals("COFFEE"))
                        {
                          ProductInfo.TYPE localTYPE2 = ProductInfo.TYPE.COFFEE;
                          this.mProductType = localTYPE2;
                          this.btnCoffee.setBackgroundResource(2130837545);
                          this.btnBakery.setBackgroundResource(2130837528);
                          this.btnTumbler.setBackgroundResource(2130837670);
                          continue;
                        }
                        if (str9.equals("BAKERY"))
                        {
                          ProductInfo.TYPE localTYPE3 = ProductInfo.TYPE.BAKERY;
                          this.mProductType = localTYPE3;
                          this.btnCoffee.setBackgroundResource(2130837543);
                          this.btnBakery.setBackgroundResource(2130837530);
                          this.btnTumbler.setBackgroundResource(2130837670);
                          continue;
                        }
                        if (!str9.equals("TUMBLER"))
                          continue;
                        ProductInfo.TYPE localTYPE4 = ProductInfo.TYPE.TUMBLER;
                        this.mProductType = localTYPE4;
                        this.btnCoffee.setBackgroundResource(2130837543);
                        this.btnBakery.setBackgroundResource(2130837528);
                        this.btnTumbler.setBackgroundResource(2130837672);
                      }
                    }
                    catch (Exception localException1)
                    {
                      break label554;
                    }
                  }
                  catch (Exception localException2)
                  {
                    break label351;
                  }
                }
                catch (Exception localException3)
                {
                  break label331;
                }
              }
              catch (Exception localException4)
              {
                break label298;
              }
            }
            catch (Exception localException5)
            {
              break label265;
            }
          }
          catch (Exception localException6)
          {
            break label245;
          }
        }
        catch (Exception localException7)
        {
          break label224;
        }
      }
      catch (Exception localException8)
      {
        break label204;
      }
    }
    catch (Exception localException9)
    {
      break label183;
    }
  }

  public void onDestroy()
  {
    onDestroy();
    if (this.adDaum != null)
    {
      this.adDaum.destroy();
      this.adDaum = null;
    }
  }

  public void onPause()
  {
    onPause();
  }

  public void onResume()
  {
    onResume();
    Common.getInstance().startGpsService(this);
  }

  @Signature({"Landroid/os/AsyncTask", "<", "Ljava/lang/Void;", "Ljava/lang/Void;", "Ljava/lang/Void;", ">;"})
  class MyAsyncTask extends AsyncTask
  {
    private ProgressDialog progressDialog;

    MyAsyncTask()
    {
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      try
      {
        ProductList.this.clearBitmap();
        ProductList localProductList = ProductList.this;
        ArrayList localArrayList1 = ProductList.this.getProductList();
        localProductList.mProductList = localArrayList1;
        ArrayList localArrayList2 = ProductList.this.mProductList;
        Comparator localComparator = ProductList.CompareWithName;
        Collections.sort(localArrayList2, localComparator);
        return null;
      }
      catch (Exception localException)
      {
        while (true)
          localException.printStackTrace();
      }
    }

    protected void onPostExecute(Void paramVoid)
    {
      onPostExecute(paramVoid);
      if (this.progressDialog != null)
        this.progressDialog.dismiss();
      if (ProductList.this.mProductList.size() > 0)
      {
        ProductList.this.list.setVisibility(0);
        ProductList.this.layoutCardNo.setVisibility(8);
        ProductList localProductList = ProductList.this;
        Activity localActivity = ProductList.this.mThis;
        ArrayList localArrayList = ProductList.this.mProductList;
        ProductListAdapterClass localProductListAdapterClass1 = new ProductListAdapterClass(localActivity, localArrayList, 2130903049);
        localProductList.adapter = localProductListAdapterClass1;
        ListView localListView = ProductList.this.list;
        ProductListAdapterClass localProductListAdapterClass2 = ProductList.this.adapter;
        localListView.setAdapter(localProductListAdapterClass2);
      }
      try
      {
        while (true)
        {
          int i = Integer.parseInt(ProductList.this.mScroll2);
          label134: ProductList.this.list.setSelection(i);
          return;
          ProductList.this.list.setVisibility(8);
          ProductList.this.layoutCardNo.setVisibility(0);
        }
      }
      catch (Exception localException)
      {
        break label134;
      }
    }

    protected void onPreExecute()
    {
      onPreExecute();
      ProgressDialog localProgressDialog = ProgressDialog.show(ProductList.this.mThis, "", "�곗씠��濡쒕뵫以묒엯�");
      this.progressDialog = localProgressDialog;
      this.progressDialog.setCancelable(1);
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.ProductList
 * JD-Core Version:    0.6.0
 */