package Jgun.CafeFinder;

import Jgun.CafeFinder.data.Angelinus;
import Jgun.CafeFinder.data.BaskinRobbins;
import Jgun.CafeFinder.data.Cafe7Gram;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.data.Caffeebene;
import Jgun.CafeFinder.data.Coffeebean;
import Jgun.CafeFinder.data.Coffeenie;
import Jgun.CafeFinder.data.Coffine;
import Jgun.CafeFinder.data.DeChocolate;
import Jgun.CafeFinder.data.Dunkin;
import Jgun.CafeFinder.data.Ediya;
import Jgun.CafeFinder.data.Hollys;
import Jgun.CafeFinder.data.JavaCity;
import Jgun.CafeFinder.data.Pascucci;
import Jgun.CafeFinder.data.SevenMonkeys;
import Jgun.CafeFinder.data.Starbucks;
import Jgun.CafeFinder.data.Tomntoms;
import Jgun.CafeFinder.data.Twosome;
import Jgun.CommonLib.Database;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.location.Location;
import android.os.Bundle;
import com.cauly.android.ad.AdView;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;
import com.google.android.maps.OverlayItem;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import net.daum.mobilead.AdHttpListener;
import net.daum.mobilead.MobileAdView;

public class ShowMap extends MapActivity
  implements AdHttpListener
{
  private AdView adCauly;
  private MobileAdView adDaum;
  private Database database;
  private String mCafeCategory;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CafeDataSuper;", ">;"})
  private ArrayList mCafeList;
  private String mLocationAddress;
  private String mOrderType;
  private String mPath;
  private String mScroll;
  private String mStoreName;
  private Activity mThis;
  private Util mUtil;
  private MapView map;
  private Drawable marker;
  private MyLocationOverlay me = null;
  private MyPositionOverlay myPositionOverlay;

  public ShowMap()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    this.map = null;
    this.myPositionOverlay = null;
    this.mCafeCategory = "";
    this.mScroll = "";
    this.mStoreName = "";
    this.mLocationAddress = "";
    this.mOrderType = "";
    this.mPath = "";
    Database localDatabase = new Database();
    this.database = localDatabase;
    this.mCafeList = null;
    this.adCauly = null;
    this.adDaum = null;
  }

  private void backKey()
  {
    if (this.mCafeCategory.equals("BOOKMARK"))
    {
      HashMap localHashMap1 = new HashMap();
      String str1 = this.mScroll;
      localHashMap1.put("SCROLL", str1);
      String str2 = this.mOrderType.toString();
      localHashMap1.put("ORDER_TYPE", str2);
      Util localUtil1 = this.mUtil;
      Activity localActivity1 = this.mThis;
      localUtil1.goIntent(localActivity1, Bookmark.class, localHashMap1);
    }
    while (true)
    {
      return;
      HashMap localHashMap2 = new HashMap();
      String str3 = this.mCafeCategory;
      localHashMap2.put("CAFE_CATEGORY", str3);
      String str4 = this.mScroll;
      localHashMap2.put("SCROLL", str4);
      String str5 = this.mLocationAddress;
      localHashMap2.put("STORE_ADDRESS", str5);
      String str6 = this.mStoreName;
      localHashMap2.put("STORE_NAME", str6);
      String str7 = this.mOrderType.toString();
      localHashMap2.put("ORDER_TYPE", str7);
      String str8 = this.mPath;
      localHashMap2.put("PATH", str8);
      Util localUtil2 = this.mUtil;
      Activity localActivity2 = this.mThis;
      localUtil2.goIntent(localActivity2, CategoryList.class, localHashMap2);
    }
  }

  private GeoPoint getPoint(double paramDouble1, double paramDouble2)
  {
    double paramDouble2 = (int)(paramDouble1 * 0.0F);
    int i = (int)(??? * 0.0F);
    return new GeoPoint(paramDouble2, i);
  }

  public void didDownloadAd_AdListener()
  {
  }

  public void failedDownloadAd_AdListener(int paramInt, String paramString)
  {
    AdView localAdView = this.adCauly;
    MobileAdView localMobileAdView = this.adDaum;
    Common.caulyEnable(localAdView, localMobileAdView);
  }

  protected boolean isRouteDisplayed()
  {
    return false;
  }

  public void onBackPressed()
  {
    backKey();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903046);
    this.mThis = this;
    Object[] arrayOfObject = Common.initAdView(this, this);
    MobileAdView localMobileAdView = (MobileAdView)arrayOfObject[0];
    this.adDaum = localMobileAdView;
    AdView localAdView = (AdView)arrayOfObject[1];
    this.adCauly = localAdView;
    Common localCommon = Common.getInstance();
    Activity localActivity = this.mThis;
    ArrayList localArrayList = localCommon.getCafeList(localActivity);
    this.mCafeList = localArrayList;
    Common.getInstance().reloadCurrentLocationNetwork();
    try
    {
      String str1 = getIntent().getExtras().getString("CAFE_CATEGORY");
      this.mCafeCategory = str1;
      try
      {
        label100: String str2 = getIntent().getExtras().getString("SCROLL");
        this.mScroll = str2;
        try
        {
          label120: String str3 = getIntent().getExtras().getString("STORE_NAME");
          this.mStoreName = str3;
          label140: if (this.mStoreName == null)
            this.mStoreName = "";
          try
          {
            String str4 = getIntent().getExtras().getString("STORE_ADDRESS");
            this.mLocationAddress = str4;
            label173: if (this.mLocationAddress == null)
              this.mLocationAddress = "";
            try
            {
              String str5 = getIntent().getExtras().getString("ORDER_TYPE");
              this.mOrderType = str5;
              try
              {
                label206: String str6 = getIntent().getExtras().getString("PATH");
                this.mPath = str6;
                label226: if (this.mPath == null)
                  this.mPath = "";
                MapView localMapView1 = (MapView)findViewById(2131230762);
                this.map = localMapView1;
                MapController localMapController = this.map.getController();
                double d1 = Common.getInstance().getMyLocation().getLatitude();
                double d2 = Common.getInstance().getMyLocation().getLongitude();
                GeoPoint localGeoPoint = getPoint(d1, d2);
                localMapController.setCenter(localGeoPoint);
                this.map.setBuiltInZoomControls(1);
                this.map.setStreetView(1);
                this.map.setSatellite(0);
                this.map.getController().setZoom(17);
                MapView localMapView2 = this.map;
                MyLocationOverlay localMyLocationOverlay1 = new MyLocationOverlay(this, localMapView2);
                this.me = localMyLocationOverlay1;
                Drawable localDrawable1 = getResources().getDrawable(2130837592);
                this.marker = localDrawable1;
                Drawable localDrawable2 = this.marker;
                int i = this.marker.getIntrinsicWidth();
                int j = this.marker.getIntrinsicHeight();
                localDrawable2.setBounds(0, 0, i, j);
                Drawable localDrawable3 = this.marker;
                MyPositionOverlay localMyPositionOverlay1 = new MyPositionOverlay(localDrawable3);
                this.myPositionOverlay = localMyPositionOverlay1;
                List localList1 = this.map.getOverlays();
                MyLocationOverlay localMyLocationOverlay2 = this.me;
                localList1.add(localMyLocationOverlay2);
                List localList2 = this.map.getOverlays();
                MyPositionOverlay localMyPositionOverlay2 = this.myPositionOverlay;
                localList2.add(localMyPositionOverlay2);
                Drawable localDrawable4 = getResources().getDrawable(2130837580);
                int k = localDrawable4.getIntrinsicWidth();
                int m = localDrawable4.getIntrinsicHeight();
                localDrawable4.setBounds(0, 0, k, m);
                List localList3 = this.map.getOverlays();
                CafeListOverlayBaskinRobbins localCafeListOverlayBaskinRobbins = new CafeListOverlayBaskinRobbins(localDrawable4);
                localList3.add(localCafeListOverlayBaskinRobbins);
                Drawable localDrawable5 = getResources().getDrawable(2130837587);
                int n = localDrawable5.getIntrinsicWidth();
                int i1 = localDrawable5.getIntrinsicHeight();
                localDrawable5.setBounds(0, 0, n, i1);
                List localList4 = this.map.getOverlays();
                CafeListOverlayDunkin localCafeListOverlayDunkin = new CafeListOverlayDunkin(localDrawable5);
                localList4.add(localCafeListOverlayDunkin);
                Drawable localDrawable6 = getResources().getDrawable(2130837579);
                int i2 = localDrawable6.getIntrinsicWidth();
                int i3 = localDrawable6.getIntrinsicHeight();
                localDrawable6.setBounds(0, 0, i2, i3);
                List localList5 = this.map.getOverlays();
                CafeListOverlayAngelinus localCafeListOverlayAngelinus = new CafeListOverlayAngelinus(localDrawable6);
                localList5.add(localCafeListOverlayAngelinus);
                Drawable localDrawable7 = getResources().getDrawable(2130837582);
                int i4 = localDrawable7.getIntrinsicWidth();
                int i5 = localDrawable7.getIntrinsicHeight();
                localDrawable7.setBounds(0, 0, i4, i5);
                List localList6 = this.map.getOverlays();
                CafeListOverlayCaffeebene localCafeListOverlayCaffeebene = new CafeListOverlayCaffeebene(localDrawable7);
                localList6.add(localCafeListOverlayCaffeebene);
                Drawable localDrawable8 = getResources().getDrawable(2130837583);
                int i6 = localDrawable8.getIntrinsicWidth();
                int i7 = localDrawable8.getIntrinsicHeight();
                localDrawable8.setBounds(0, 0, i6, i7);
                List localList7 = this.map.getOverlays();
                CafeListOverlayCoffeebean localCafeListOverlayCoffeebean = new CafeListOverlayCoffeebean(localDrawable8);
                localList7.add(localCafeListOverlayCoffeebean);
                Drawable localDrawable9 = getResources().getDrawable(2130837588);
                int i8 = localDrawable9.getIntrinsicWidth();
                int i9 = localDrawable9.getIntrinsicHeight();
                localDrawable9.setBounds(0, 0, i8, i9);
                List localList8 = this.map.getOverlays();
                CafeListOverlayEdiya localCafeListOverlayEdiya = new CafeListOverlayEdiya(localDrawable9);
                localList8.add(localCafeListOverlayEdiya);
                Drawable localDrawable10 = getResources().getDrawable(2130837590);
                int i10 = localDrawable10.getIntrinsicWidth();
                int i11 = localDrawable10.getIntrinsicHeight();
                localDrawable10.setBounds(0, 0, i10, i11);
                List localList9 = this.map.getOverlays();
                CafeListOverlayHollys localCafeListOverlayHollys = new CafeListOverlayHollys(localDrawable10);
                localList9.add(localCafeListOverlayHollys);
                Drawable localDrawable11 = getResources().getDrawable(2130837593);
                int i12 = localDrawable11.getIntrinsicWidth();
                int i13 = localDrawable11.getIntrinsicHeight();
                localDrawable11.setBounds(0, 0, i12, i13);
                List localList10 = this.map.getOverlays();
                CafeListOverlayPascucci localCafeListOverlayPascucci = new CafeListOverlayPascucci(localDrawable11);
                localList10.add(localCafeListOverlayPascucci);
                Drawable localDrawable12 = getResources().getDrawable(2130837598);
                int i14 = localDrawable12.getIntrinsicWidth();
                int i15 = localDrawable12.getIntrinsicHeight();
                localDrawable12.setBounds(0, 0, i14, i15);
                List localList11 = this.map.getOverlays();
                CafeListOverlayStarbucks localCafeListOverlayStarbucks = new CafeListOverlayStarbucks(localDrawable12);
                localList11.add(localCafeListOverlayStarbucks);
                Drawable localDrawable13 = getResources().getDrawable(2130837599);
                int i16 = localDrawable13.getIntrinsicWidth();
                int i17 = localDrawable13.getIntrinsicHeight();
                localDrawable13.setBounds(0, 0, i16, i17);
                List localList12 = this.map.getOverlays();
                CafeListOverlayTomntoms localCafeListOverlayTomntoms = new CafeListOverlayTomntoms(localDrawable13);
                localList12.add(localCafeListOverlayTomntoms);
                Drawable localDrawable14 = getResources().getDrawable(2130837600);
                int i18 = localDrawable14.getIntrinsicWidth();
                int i19 = localDrawable14.getIntrinsicHeight();
                localDrawable14.setBounds(0, 0, i18, i19);
                List localList13 = this.map.getOverlays();
                CafeListOverlayTwosome localCafeListOverlayTwosome = new CafeListOverlayTwosome(localDrawable14);
                localList13.add(localCafeListOverlayTwosome);
                Drawable localDrawable15 = getResources().getDrawable(2130837589);
                int i20 = localDrawable15.getIntrinsicWidth();
                int i21 = localDrawable15.getIntrinsicHeight();
                localDrawable15.setBounds(0, 0, i20, i21);
                List localList14 = this.map.getOverlays();
                CafeListOverlayCoffine localCafeListOverlayCoffine = new CafeListOverlayCoffine(localDrawable15);
                localList14.add(localCafeListOverlayCoffine);
                Drawable localDrawable16 = getResources().getDrawable(2130837597);
                int i22 = localDrawable16.getIntrinsicWidth();
                int i23 = localDrawable16.getIntrinsicHeight();
                localDrawable16.setBounds(0, 0, i22, i23);
                List localList15 = this.map.getOverlays();
                CafeListOverlaySevenMonkeys localCafeListOverlaySevenMonkeys = new CafeListOverlaySevenMonkeys(localDrawable16);
                localList15.add(localCafeListOverlaySevenMonkeys);
                Drawable localDrawable17 = getResources().getDrawable(2130837586);
                int i24 = localDrawable17.getIntrinsicWidth();
                int i25 = localDrawable17.getIntrinsicHeight();
                localDrawable17.setBounds(0, 0, i24, i25);
                List localList16 = this.map.getOverlays();
                CafeListOverlayDeChocolate localCafeListOverlayDeChocolate = new CafeListOverlayDeChocolate(localDrawable17);
                localList16.add(localCafeListOverlayDeChocolate);
                Drawable localDrawable18 = getResources().getDrawable(2130837591);
                int i26 = localDrawable18.getIntrinsicWidth();
                int i27 = localDrawable18.getIntrinsicHeight();
                localDrawable18.setBounds(0, 0, i26, i27);
                List localList17 = this.map.getOverlays();
                CafeListOverlayJavaCity localCafeListOverlayJavaCity = new CafeListOverlayJavaCity(localDrawable18);
                localList17.add(localCafeListOverlayJavaCity);
                Drawable localDrawable19 = getResources().getDrawable(2130837584);
                int i28 = localDrawable19.getIntrinsicWidth();
                int i29 = localDrawable19.getIntrinsicHeight();
                localDrawable19.setBounds(0, 0, i28, i29);
                List localList18 = this.map.getOverlays();
                CafeListOverlayCoffeenie localCafeListOverlayCoffeenie = new CafeListOverlayCoffeenie(localDrawable19);
                localList18.add(localCafeListOverlayCoffeenie);
                Drawable localDrawable20 = getResources().getDrawable(2130837581);
                int i30 = localDrawable20.getIntrinsicWidth();
                int i31 = localDrawable20.getIntrinsicHeight();
                localDrawable20.setBounds(0, 0, i30, i31);
                List localList19 = this.map.getOverlays();
                CafeListOverlayCafe7Gram localCafeListOverlayCafe7Gram = new CafeListOverlayCafe7Gram(localDrawable20);
                localList19.add(localCafeListOverlayCafe7Gram);
                return;
              }
              catch (Exception localException1)
              {
                break label226;
              }
            }
            catch (Exception localException2)
            {
              break label206;
            }
          }
          catch (Exception localException3)
          {
            break label173;
          }
        }
        catch (Exception localException4)
        {
          break label140;
        }
      }
      catch (Exception localException5)
      {
        break label120;
      }
    }
    catch (Exception localException6)
    {
      break label100;
    }
  }

  public void onDestroy()
  {
    onDestroy();
    if (this.adDaum != null)
    {
      this.adDaum.destroy();
      this.adDaum = null;
    }
  }

  public void onPause()
  {
    onPause();
    this.me.disableCompass();
  }

  public void onResume()
  {
    onResume();
    Common.getInstance().startGpsService(this);
    this.me.enableCompass();
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayAngelinus extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayAngelinus(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Angelinus))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Angelinus))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayBaskinRobbins extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayBaskinRobbins(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof BaskinRobbins))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof BaskinRobbins))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayCafe7Gram extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayCafe7Gram(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Cafe7Gram))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Cafe7Gram))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayCaffeebene extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayCaffeebene(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Caffeebene))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Caffeebene))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayCoffeebean extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayCoffeebean(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Coffeebean))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Coffeebean))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayCoffeenie extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayCoffeenie(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Coffeenie))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Coffeenie))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayCoffine extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayCoffine(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Coffine))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Coffine))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayDeChocolate extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayDeChocolate(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof DeChocolate))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof DeChocolate))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayDunkin extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayDunkin(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Dunkin))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Dunkin))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayEdiya extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayEdiya(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Ediya))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Ediya))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayHollys extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayHollys(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Hollys))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Hollys))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayJavaCity extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayJavaCity(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof JavaCity))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof JavaCity))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayPascucci extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayPascucci(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Pascucci))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Pascucci))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlaySevenMonkeys extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlaySevenMonkeys(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof SevenMonkeys))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof SevenMonkeys))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayStarbucks extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayStarbucks(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Starbucks))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Starbucks))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayTomntoms extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayTomntoms(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Tomntoms))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Tomntoms))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class CafeListOverlayTwosome extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public CafeListOverlayTwosome(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      if (ShowMap.this.mCafeCategory.equals("BOOKMARK"))
      {
        i = 0;
        while (true)
        {
          int j = ShowMap.this.mCafeList.size();
          if (i >= j)
          {
            populate();
            return;
          }
          if ((ShowMap.this.mCafeList.get(i) instanceof Twosome))
          {
            double d1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLatitude();
            double d2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getLongitude();
            GeoPoint localGeoPoint1 = ShowMap.this.getPoint(d1, d2);
            String str1 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getStoreName();
            String str2 = ((CafeDataSuper)ShowMap.this.mCafeList.get(i)).getAddress();
            OverlayItem localOverlayItem1 = new OverlayItem(localGeoPoint1, str1, str2);
            this.items.add(localOverlayItem1);
          }
          i += 1;
        }
      }
      int i = 0;
      while (true)
      {
        int k = Common.getInstance().getCafeList().size();
        if (i >= k)
          break;
        if ((Common.getInstance().getCafeList().get(i) instanceof Twosome))
        {
          double d3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLatitude();
          double d4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getLongitude();
          GeoPoint localGeoPoint2 = ShowMap.this.getPoint(d3, d4);
          String str3 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getStoreName();
          String str4 = ((CafeDataSuper)Common.getInstance().getCafeList().get(i)).getAddress();
          OverlayItem localOverlayItem2 = new OverlayItem(localGeoPoint2, str3, str4);
          this.items.add(localOverlayItem2);
        }
        i += 1;
      }
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class MyPositionOverlay extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public MyPositionOverlay(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      List localList = this.items;
      double d1 = Common.getInstance().getMyLocation().getLatitude();
      double d2 = Common.getInstance().getMyLocation().getLongitude();
      GeoPoint localGeoPoint = ShowMap.this.getPoint(d1, d2);
      OverlayItem localOverlayItem = new OverlayItem(localGeoPoint, "", "");
      localList.add(localOverlayItem);
      populate();
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.ShowMap
 * JD-Core Version:    0.6.0
 */