package Jgun.CafeFinder.org.mixare;

import Jgun.CafeFinder.org.mixare.gui.PaintScreen;
import Jgun.CafeFinder.org.mixare.gui.ScreenLine;
import Jgun.CafeFinder.org.mixare.gui.TextObj;
import Jgun.CafeFinder.org.mixare.reality.PhysicalPlace;
import Jgun.CafeFinder.org.mixare.render.Camera;
import Jgun.CafeFinder.org.mixare.render.Matrix;
import Jgun.CafeFinder.org.mixare.render.MixVector;
import android.graphics.Color;
import android.location.Location;

public class Marker
{
  static int color = Color.rgb(255, 0, 0);
  static int decInnerColor = Color.rgb(255, 0, 0);
  static int decWorkColor = Color.rgb(50, 50, 255);
  MixVector cMarker;
  float deltaCenter;
  boolean isLookingAt;
  boolean isNear;
  boolean isVisible;
  public MixVector loc;
  float locX;
  float locY;
  float locZ;
  public PhysicalPlace mGeoLoc;
  public String mOnPress;
  public String mText;
  MixVector oMarker;
  MixVector origin;
  ScreenLine pPt;
  MixVector signMarker;
  TextObj textBlock;
  MixVector tmpa;
  MixVector tmpb;
  MixVector tmpc;
  Label txtLab;
  MixVector upV;

  public Marker()
  {
    PhysicalPlace localPhysicalPlace = new PhysicalPlace();
    this.mGeoLoc = localPhysicalPlace;
    MixVector localMixVector1 = new MixVector();
    this.cMarker = localMixVector1;
    MixVector localMixVector2 = new MixVector();
    this.signMarker = localMixVector2;
    MixVector localMixVector3 = new MixVector();
    this.oMarker = localMixVector3;
    Label localLabel = new Label();
    this.txtLab = localLabel;
    MixVector localMixVector4 = new MixVector();
    this.tmpa = localMixVector4;
    MixVector localMixVector5 = new MixVector();
    this.tmpb = localMixVector5;
    MixVector localMixVector6 = new MixVector();
    this.tmpc = localMixVector6;
    MixVector localMixVector7 = new MixVector();
    this.loc = localMixVector7;
    MixVector localMixVector8 = new MixVector(0.0F, 0.0F, 0.0F);
    this.origin = localMixVector8;
    MixVector localMixVector9 = new MixVector(0.0F, 1.0F, 0.0F);
    this.upV = localMixVector9;
    ScreenLine localScreenLine = new ScreenLine();
    this.pPt = localScreenLine;
  }

  void cCMarker(MixVector paramMixVector, Camera paramCamera, float paramFloat1, float paramFloat2)
  {
    this.tmpa.set(paramMixVector);
    MixVector localMixVector1 = this.tmpc;
    MixVector localMixVector2 = this.upV;
    localMixVector1.set(localMixVector2);
    MixVector localMixVector3 = this.tmpa;
    MixVector localMixVector4 = this.loc;
    localMixVector3.add(localMixVector4);
    MixVector localMixVector5 = this.tmpc;
    MixVector localMixVector6 = this.loc;
    localMixVector5.add(localMixVector6);
    MixVector localMixVector7 = this.tmpa;
    MixVector localMixVector8 = paramCamera.lco;
    localMixVector7.sub(localMixVector8);
    MixVector localMixVector9 = this.tmpc;
    MixVector localMixVector10 = paramCamera.lco;
    localMixVector9.sub(localMixVector10);
    MixVector localMixVector11 = this.tmpa;
    Matrix localMatrix1 = paramCamera.transform;
    localMixVector11.prod(localMatrix1);
    MixVector localMixVector12 = this.tmpc;
    Matrix localMatrix2 = paramCamera.transform;
    localMixVector12.prod(localMatrix2);
    MixVector localMixVector13 = this.tmpa;
    MixVector localMixVector14 = this.tmpb;
    paramCamera.projectPoint(localMixVector13, localMixVector14, paramFloat1, paramFloat2);
    MixVector localMixVector15 = this.cMarker;
    MixVector localMixVector16 = this.tmpb;
    localMixVector15.set(localMixVector16);
    MixVector localMixVector17 = this.tmpc;
    MixVector localMixVector18 = this.tmpb;
    paramCamera.projectPoint(localMixVector17, localMixVector18, paramFloat1, paramFloat2);
    MixVector localMixVector19 = this.signMarker;
    MixVector localMixVector20 = this.tmpb;
    localMixVector19.set(localMixVector20);
  }

  void calcPaint(Camera paramCamera)
  {
    MixVector localMixVector = this.origin;
    cCMarker(localMixVector, paramCamera, 0.0F, 0.0F);
  }

  void calcPaint(Camera paramCamera, float paramFloat1, float paramFloat2)
  {
    MixVector localMixVector = this.origin;
    cCMarker(localMixVector, paramCamera, paramFloat1, paramFloat2);
    calcV(paramCamera);
  }

  void calcV(Camera paramCamera)
  {
    this.isVisible = 0;
    this.isLookingAt = 0;
    this.deltaCenter = 3.4028235E+38F;
    if (this.cMarker.z < -1.0F)
    {
      this.isVisible = 1;
      float f1 = this.cMarker.x;
      float f2 = this.cMarker.y;
      float f3 = paramCamera.width;
      float f4 = paramCamera.height;
      float f5 = 0.0F;
      if (MixUtils.pointInside(f1, f2, 0.0F, f5, f3, f4))
      {
        float f6 = this.cMarker.x;
        float f7 = paramCamera.width / 2;
        float f8 = f6 - f7;
        float f9 = this.cMarker.y;
        float f10 = paramCamera.height / 2;
        float f11 = f9 - f10;
        float f12 = f8 * f8;
        float f13 = f11 * f11;
        float f14 = f12 + f13;
        float f15 = (float)Math.sqrt(f14);
        this.deltaCenter = f15;
        if (f14 < 2500.0F)
          this.isLookingAt = 1;
      }
    }
  }

  void draw(PaintScreen paramPaintScreen)
  {
    float f1 = Math.round(paramPaintScreen.getHeight() / 10.0F) + 1;
    if (this.textBlock == null)
    {
      String str = this.mText;
      float f2 = Math.round(f1 / 2.0F) + 1;
      TextObj localTextObj1 = new TextObj(str, f2, 160.0F, paramPaintScreen);
      this.textBlock = localTextObj1;
    }
    if (this.isVisible)
    {
      int i = color;
      paramPaintScreen.setColor(i);
      if (MixListView.getDataSource() == "Wikipedia")
      {
        int j = Color.rgb(255, 0, 0);
        paramPaintScreen.setColor(j);
      }
      if (MixListView.getDataSource() == "Buzz")
      {
        int k = Color.rgb(4, 228, 20);
        paramPaintScreen.setColor(k);
      }
      if (MixListView.getDataSource() == "Twitter")
      {
        int m = Color.rgb(50, 204, 255);
        paramPaintScreen.setColor(m);
      }
      if (MixListView.getDataSource() == "OpenStreetMap")
      {
        int n = Color.rgb(255, 168, 0);
        paramPaintScreen.setColor(n);
      }
      float f3 = f1 / 10.0F;
      paramPaintScreen.setStrokeWidth(f3);
      paramPaintScreen.setFill(0);
      float f4 = this.cMarker.x;
      float f5 = this.cMarker.y;
      float f6 = f1 / 1.5F;
      paramPaintScreen.paintCircle(f4, f5, f6);
      float f7 = this.cMarker.x;
      float f8 = this.cMarker.y;
      float f9 = this.signMarker.x;
      float f10 = this.signMarker.y;
      float f11 = MixUtils.getAngle(f7, f8, f9, f10);
      Label localLabel1 = this.txtLab;
      TextObj localTextObj2 = this.textBlock;
      localLabel1.prepare(localTextObj2);
      paramPaintScreen.setStrokeWidth(1.0F);
      paramPaintScreen.setFill(1);
      Label localLabel2 = this.txtLab;
      float f12 = this.signMarker.x;
      float f13 = this.txtLab.getWidth() / 2.0F;
      float f14 = f12 - f13;
      float f15 = this.signMarker.y + f1;
      float f16 = f11 + 90.0F;
      paramPaintScreen.paintObj(localLabel2, f14, f15, f16, 1.0F);
    }
  }

  boolean fClick(float paramFloat1, float paramFloat2, MixContext paramMixContext, MixState paramMixState)
  {
    boolean bool = false;
    if (isClickValid(paramFloat1, paramFloat2))
    {
      String str = this.mOnPress;
      bool = paramMixState.handleEvent(paramMixContext, str);
    }
    return bool;
  }

  public String getText()
  {
    return this.mText;
  }

  public String getURL()
  {
    return this.mOnPress;
  }

  boolean isClickValid(float paramFloat1, float paramFloat2)
  {
    float f1 = this.cMarker.x;
    float f2 = this.cMarker.y;
    float f3 = this.signMarker.x;
    float f4 = this.signMarker.y;
    float f5 = MixUtils.getAngle(f1, f2, f3, f4);
    ScreenLine localScreenLine1 = this.pPt;
    float f6 = this.signMarker.x;
    float f7 = paramFloat1 - f6;
    localScreenLine1.x = f7;
    ScreenLine localScreenLine2 = this.pPt;
    float f8 = this.signMarker.y;
    float f9 = paramFloat2 - f8;
    localScreenLine2.y = f9;
    ScreenLine localScreenLine3 = this.pPt;
    double d = Math.toRadians(-(90.0F + f5));
    localScreenLine3.rotate(d);
    ScreenLine localScreenLine4 = this.pPt;
    float f10 = localScreenLine4.x;
    float f11 = this.txtLab.x;
    float f12 = f10 + f11;
    localScreenLine4.x = f12;
    ScreenLine localScreenLine5 = this.pPt;
    float f13 = localScreenLine5.y;
    float f14 = this.txtLab.y;
    float f15 = f13 + f14;
    localScreenLine5.y = f15;
    float f16 = this.txtLab.x;
    float f17 = this.txtLab.getWidth() / 2.0F;
    float f18 = f16 - f17;
    float f19 = this.txtLab.y;
    float f20 = this.txtLab.getHeight() / 2.0F;
    float f21 = f19 - f20;
    float f22 = this.txtLab.getWidth();
    float f23 = this.txtLab.getHeight();
    if (this.pPt.x > f18)
    {
      float f24 = this.pPt.x;
      float f25 = f18 + f22;
      if ((f24 < f25) && (this.pPt.y > f21))
      {
        float f26 = this.pPt.y;
        float f27 = f21 + f23;
        if (f26 >= f27);
      }
    }
    for (int i = 1; ; i = 0)
      return i;
  }

  void update(Location paramLocation, long paramLong)
  {
    PhysicalPlace localPhysicalPlace = this.mGeoLoc;
    MixVector localMixVector = this.loc;
    PhysicalPlace.convLocToVec(paramLocation, localPhysicalPlace, localMixVector);
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.Marker
 * JD-Core Version:    0.6.0
 */