package Jgun.CafeFinder.org.mixare.data;

import android.util.Log;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class Json extends DataHandler
{
  public void load(JSONObject paramJSONObject)
  {
    JSONArray localJSONArray = null;
    try
    {
      int j;
      int k;
      if (paramJSONObject.has("results"))
      {
        localJSONArray = paramJSONObject.getJSONArray("results");
        if (localJSONArray != null)
        {
          Log.i("Mixare", "processing JSON Data Array");
          int i = localJSONArray.length();
          j = Math.min(50, i);
          k = 0;
        }
      }
      while (true)
      {
        if (k >= j)
        {
          return;
          if (paramJSONObject.has("geonames"))
          {
            localJSONArray = paramJSONObject.getJSONArray("geonames");
            break;
          }
          if ((!paramJSONObject.has("data")) || (!paramJSONObject.getJSONObject("data").has("items")))
            break;
          localJSONArray = paramJSONObject.getJSONObject("data").getJSONArray("items");
          break;
        }
        JSONObject localJSONObject = localJSONArray.getJSONObject(k);
        processMixareJSONObject(localJSONObject);
        processWikipediaJSONObject(localJSONObject);
        processTwitterJSONObject(localJSONObject);
        processBuzzJSONObject(localJSONObject);
        k += 1;
      }
    }
    catch (JSONException localJSONException)
    {
      while (true)
        localJSONException.printStackTrace();
    }
  }

  public void processBuzzJSONObject(JSONObject paramJSONObject)
    throws NumberFormatException, JSONException
  {
    if ((paramJSONObject.has("title")) && (paramJSONObject.has("geocode")) && (paramJSONObject.has("links")))
    {
      Log.d("Mixare", "processing Google Buzz JSON data");
      String str1 = paramJSONObject.getString("title");
      double d1 = Double.valueOf(paramJSONObject.getString("geocode").split(" ")[0]).doubleValue();
      double d2 = Double.valueOf(paramJSONObject.getString("geocode").split(" ")[1]).doubleValue();
      String str2 = paramJSONObject.getJSONObject("links").getJSONArray("alternate").getJSONObject(0).getString("href");
      createMarker(str1, d1, d2, 0.0D, str2);
    }
  }

  public void processMixareJSONObject(JSONObject paramJSONObject)
    throws JSONException
  {
    if ((paramJSONObject.has("title")) && (paramJSONObject.has("lat")) && (paramJSONObject.has("lng")) && (paramJSONObject.has("elevation")) && (paramJSONObject.has("has_detail_page")))
    {
      Log.d("Mixare", "processing Mixare JSON data");
      String str1 = null;
      if ((paramJSONObject.getInt("has_detail_page") != 0) && (paramJSONObject.has("webpage")))
        str1 = paramJSONObject.getString("webpage");
      String str2 = paramJSONObject.getString("title");
      double d1 = paramJSONObject.getDouble("lat");
      double d2 = paramJSONObject.getDouble("lng");
      double d3 = paramJSONObject.getDouble("elevation");
      createMarker(str2, d1, d2, d3, str1);
    }
  }

  public void processTwitterJSONObject(JSONObject paramJSONObject)
    throws NumberFormatException, JSONException
  {
    if ((paramJSONObject.has("geo")) && (!paramJSONObject.isNull("geo")))
    {
      Log.d("Mixare", "processing Twitter JSON data");
      JSONArray localJSONArray = paramJSONObject.getJSONObject("geo").getJSONArray("coordinates");
      String str = paramJSONObject.getString("text");
      double d1 = Double.parseDouble(localJSONArray.getString(0));
      double d2 = Double.parseDouble(localJSONArray.getString(1));
      createMarker(str, d1, d2, 0.0D, null);
    }
  }

  public void processWikipediaJSONObject(JSONObject paramJSONObject)
    throws JSONException
  {
    if ((paramJSONObject.has("title")) && (paramJSONObject.has("lat")) && (paramJSONObject.has("lng")) && (paramJSONObject.has("elevation")) && (paramJSONObject.has("wikipediaUrl")))
    {
      Log.d("Mixare", "processing Wikipedia JSON data");
      String str1 = paramJSONObject.getString("title");
      double d1 = paramJSONObject.getDouble("lat");
      double d2 = paramJSONObject.getDouble("lng");
      double d3 = paramJSONObject.getDouble("elevation");
      StringBuilder localStringBuilder = new StringBuilder("http://");
      String str2 = paramJSONObject.getString("wikipediaUrl");
      String str3 = str2;
      createMarker(str1, d1, d2, d3, str3);
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.data.Json
 * JD-Core Version:    0.6.0
 */