package Jgun.CafeFinder.org.mixare.reality;

import Jgun.CafeFinder.org.mixare.render.MixVector;
import android.location.Location;

public class PhysicalPlace
{
  double altitude;
  double latitude;
  double longitude;

  public PhysicalPlace()
  {
  }

  public PhysicalPlace(double paramDouble1, double paramDouble2, double paramDouble3)
  {
    setTo(paramDouble1, ???, paramDouble2);
  }

  public PhysicalPlace(PhysicalPlace paramPhysicalPlace)
  {
    double d1 = paramPhysicalPlace.latitude;
    double d2 = paramPhysicalPlace.longitude;
    double d3 = paramPhysicalPlace.altitude;
    setTo(d1, d2, d3);
  }

  public static void calcDestination(double paramDouble1, double paramDouble2, double paramDouble3, double paramDouble4, PhysicalPlace paramPhysicalPlace)
  {
    double d1 = Math.toRadians(paramDouble2);
    double paramDouble4 = Math.toRadians(paramDouble1);
    double d2 = Math.toRadians(???);
    PhysicalPlace paramPhysicalPlace = Math.sin(paramDouble4);
    double d3 = Math.cos(??? / 6371000.0D);
    double d4 = paramPhysicalPlace * d3;
    double d5 = Math.cos(paramDouble4);
    double d6 = Math.sin(??? / 6371000.0D);
    double d7 = d5 * d6;
    double d8 = Math.cos(d1);
    double d9 = d7 * d8;
    double d10 = Math.asin(d4 + d9);
    double d11 = Math.sin(d1);
    double d12 = Math.sin(??? / 6371000.0D);
    float f1 = d11 * d12;
    double d13 = Math.cos(paramDouble4);
    float f2 = f1 * d13;
    double d14 = Math.cos(??? / 6371000.0D);
    double d15 = Math.sin(paramDouble4);
    double d16 = Math.sin(d10);
    float f3 = d15 * d16;
    double d17 = d14 - f3;
    float f4 = f2;
    double d18 = d17;
    double d19 = Math.atan2(f4, d18) + d2;
    double d20 = Math.toDegrees(d10);
    double d21 = paramDouble3;
    double d22 = d20;
    d21.setLatitude(d22);
    double d23 = Math.toDegrees(d19);
    double d24 = paramDouble3;
    double d25 = d23;
    d24.setLongitude(d25);
  }

  public static void convLocToVec(Location paramLocation, PhysicalPlace paramPhysicalPlace, MixVector paramMixVector)
  {
    float[] arrayOfFloat1 = new float[1];
    arrayOfFloat1[0] = 0;
    double d1 = paramLocation.getLatitude();
    double d2 = paramLocation.getLongitude();
    double d3 = paramPhysicalPlace.getLatitude();
    double d4 = paramLocation.getLongitude();
    Location.distanceBetween(d1, d2, d3, d4, arrayOfFloat1);
    float[] arrayOfFloat2 = new float[1];
    double d5 = paramLocation.getLatitude();
    double d6 = paramLocation.getLongitude();
    double d7 = paramLocation.getLatitude();
    double d8 = paramPhysicalPlace.getLongitude();
    Location.distanceBetween(d5, d6, d7, d8, arrayOfFloat2);
    double d9 = paramPhysicalPlace.getAltitude();
    double d10 = paramLocation.getAltitude();
    double d11 = d9 - d10;
    double d12 = paramLocation.getLatitude();
    double d13 = paramPhysicalPlace.getLatitude();
    if (d12 < d13)
    {
      float f1 = arrayOfFloat1[0] * -1.0F;
      arrayOfFloat1[0] = f1;
    }
    double d14 = paramLocation.getLongitude();
    double d15 = paramPhysicalPlace.getLongitude();
    if (d14 > d15)
    {
      float f2 = arrayOfFloat2[0] * -1.0F;
      arrayOfFloat2[0] = f2;
    }
    int i = arrayOfFloat2[0];
    float f3 = (float)d11;
    int j = arrayOfFloat1[0];
    MixVector localMixVector = paramMixVector;
    int k = i;
    float f4 = f3;
    int m = j;
    localMixVector.set(k, f4, m);
  }

  public static void convertVecToLoc(MixVector paramMixVector, Location paramLocation1, Location paramLocation2)
  {
    double d1 = 0.0D;
    double d2 = 90.0D;
    if (paramMixVector.z > 0.0F)
      d1 = 180.0D;
    if (paramMixVector.x < 0.0F)
      d2 = 270.0D;
    PhysicalPlace localPhysicalPlace1 = new PhysicalPlace();
    PhysicalPlace localPhysicalPlace2 = new PhysicalPlace();
    double d3 = paramLocation1.getLatitude();
    double d4 = paramLocation1.getLongitude();
    double d5 = Math.abs(paramMixVector.z);
    calcDestination(d3, d4, d1, d5, localPhysicalPlace1);
    double d6 = localPhysicalPlace1.getLatitude();
    double d7 = localPhysicalPlace1.getLongitude();
    double d8 = Math.abs(paramMixVector.x);
    calcDestination(d6, d7, d2, d8, localPhysicalPlace2);
    double d9 = localPhysicalPlace2.getLatitude();
    Location localLocation1 = paramLocation2;
    double d10 = d9;
    localLocation1.setLatitude(d10);
    double d11 = localPhysicalPlace2.getLongitude();
    Location localLocation2 = paramLocation2;
    double d12 = d11;
    localLocation2.setLongitude(d12);
    double d13 = paramLocation1.getAltitude();
    double d14 = paramMixVector.y + d13;
    Location localLocation3 = paramLocation2;
    double d15 = d14;
    localLocation3.setAltitude(d15);
  }

  public double getAltitude()
  {
    return this.altitude;
  }

  public double getLatitude()
  {
    return this.latitude;
  }

  public double getLongitude()
  {
    return this.longitude;
  }

  public void setAltitude(double paramDouble)
  {
    this.altitude = paramDouble;
  }

  public void setLatitude(double paramDouble)
  {
    this.latitude = paramDouble;
  }

  public void setLongitude(double paramDouble)
  {
    this.longitude = paramDouble;
  }

  public void setTo(double paramDouble1, double paramDouble2, double paramDouble3)
  {
    double paramDouble3;
    this.latitude = paramDouble1;
    this.longitude = ???;
    this.altitude = paramDouble2;
  }

  public void setTo(PhysicalPlace paramPhysicalPlace)
  {
    double d1 = paramPhysicalPlace.latitude;
    this.latitude = d1;
    double d2 = paramPhysicalPlace.longitude;
    this.longitude = d2;
    double d3 = paramPhysicalPlace.altitude;
    this.altitude = d3;
  }

  public String toString()
  {
    StringBuilder localStringBuilder1 = new StringBuilder("(lat=");
    double d1 = this.latitude;
    StringBuilder localStringBuilder2 = localStringBuilder1.append(d1).append(", lng=");
    double d2 = this.longitude;
    StringBuilder localStringBuilder3 = localStringBuilder2.append(d2).append(", alt=");
    double d3 = this.altitude;
    return d3 + ")";
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.reality.PhysicalPlace
 * JD-Core Version:    0.6.0
 */