package Jgun.CafeFinder;

import Jgun.CafeFinder.adapter.CardListAdapterClass;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.data.CafeDataSuper.STORE_TYPE;
import Jgun.CafeFinder.data.CardInfo;
import Jgun.CafeFinder.data.CardInfo.TYPE;
import Jgun.CafeFinder.loader.CardInfoLoad;
import Jgun.CommonLib.Database;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;
import com.cauly.android.ad.AdView;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.HashMap;
import net.daum.mobilead.AdHttpListener;
import net.daum.mobilead.MobileAdView;

public class Card extends Activity
  implements AdHttpListener
{
  private AdView adCauly;
  private MobileAdView adDaum;
  private CardListAdapterClass adapter;
  private Button btnCardDiscount;
  private Button btnCardSave;
  private Button btnMycard;
  private Database database;
  private ImageView imageCardNo;
  private LinearLayout layoutCardMainInfo;
  private LinearLayout layoutCardNo;
  private ListView list;
  private String mCafeCategory = "";
  private String mCallPath = "";

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CardInfo;", ">;"})
  private ArrayList mCardList;
  private CardInfo.TYPE mCardType;
  private String mLocationAddress;
  private String mOrderType;
  private String mPath;
  private int mPosition;
  private String mScroll;
  private String mStoreName;
  private CafeDataSuper.STORE_TYPE mStoreType;
  private Activity mThis;
  Util mUtil;
  private TextView txCardMainInfo;

  public Card()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    this.mScroll = "";
    this.mStoreName = "";
    this.mLocationAddress = "";
    this.mOrderType = "";
    this.mPath = "";
    this.mCardList = null;
    this.adapter = null;
    CardInfo.TYPE localTYPE = CardInfo.TYPE.MYCARD;
    this.mCardType = localTYPE;
    this.mStoreType = null;
    Database localDatabase = new Database();
    this.database = localDatabase;
    this.mPosition = 0;
    this.adCauly = null;
    this.adDaum = null;
  }

  private void backKey()
  {
    if (this.mCafeCategory.equals("BOOKMARK"))
    {
      HashMap localHashMap1 = new HashMap();
      String str1 = this.mCafeCategory;
      localHashMap1.put("CAFE_CATEGORY", str1);
      String str2 = this.mScroll;
      localHashMap1.put("SCROLL", str2);
      String str3 = this.mLocationAddress;
      localHashMap1.put("STORE_ADDRESS", str3);
      String str4 = this.mStoreName;
      localHashMap1.put("STORE_NAME", str4);
      String str5 = this.mOrderType.toString();
      localHashMap1.put("ORDER_TYPE", str5);
      Util localUtil1 = this.mUtil;
      Activity localActivity1 = this.mThis;
      localUtil1.goIntent(localActivity1, ViewStoreDetail.class, localHashMap1);
    }
    while (true)
    {
      return;
      HashMap localHashMap2 = new HashMap();
      String str6 = this.mCafeCategory;
      localHashMap2.put("CAFE_CATEGORY", str6);
      String str7 = this.mScroll;
      localHashMap2.put("SCROLL", str7);
      String str8 = this.mLocationAddress;
      localHashMap2.put("STORE_ADDRESS", str8);
      String str9 = this.mStoreName;
      localHashMap2.put("STORE_NAME", str9);
      String str10 = this.mOrderType.toString();
      localHashMap2.put("ORDER_TYPE", str10);
      String str11 = this.mPath;
      localHashMap2.put("PATH", str11);
      if (this.mCallPath.equals("LIST"))
      {
        Util localUtil2 = this.mUtil;
        Activity localActivity2 = this.mThis;
        localUtil2.goIntent(localActivity2, CategoryList.class, localHashMap2);
        continue;
      }
      Util localUtil3 = this.mUtil;
      Activity localActivity3 = this.mThis;
      localUtil3.goIntent(localActivity3, ViewStoreDetail.class, localHashMap2);
    }
  }

  @Signature({"()", "Ljava/util/ArrayList", "<", "LJgun/CafeFinder/data/CardInfo;", ">;"})
  private ArrayList getCardList()
  {
    ArrayList localArrayList1 = new ArrayList();
    Database localDatabase = new Database();
    String str = Common.DBNAME;
    String[] arrayOfString = new String[2];
    arrayOfString[0] = "cardTypeName";
    arrayOfString[1] = "position";
    Card localCard = this;
    ArrayList localArrayList2 = localDatabase.select(localCard, str, "mycard", arrayOfString, null);
    CardInfo.TYPE localTYPE1 = this.mCardType;
    CardInfo.TYPE localTYPE2 = CardInfo.TYPE.MYCARD;
    if (localTYPE1 != localTYPE2)
    {
      i = 0;
      int j = CardInfoLoad.getInstance().getCardList().size();
      if (i >= j)
        return localArrayList1;
      int k = 0;
      int m = 0;
      while (true)
      {
        int n = localArrayList2.size();
        if (m >= n);
        while (true)
        {
          if (k == 0)
          {
            CafeDataSuper.STORE_TYPE localSTORE_TYPE1 = ((CardInfo)CardInfoLoad.getInstance().getCardList().get(i)).getStoreType();
            CafeDataSuper.STORE_TYPE localSTORE_TYPE2 = this.mStoreType;
            if (localSTORE_TYPE1 == localSTORE_TYPE2)
            {
              CardInfo.TYPE localTYPE3 = ((CardInfo)CardInfoLoad.getInstance().getCardList().get(i)).getDiscoutOrSaveType();
              CardInfo.TYPE localTYPE4 = this.mCardType;
              if (localTYPE3 == localTYPE4)
              {
                CardInfo localCardInfo1 = (CardInfo)CardInfoLoad.getInstance().getCardList().get(i);
                localArrayList1.add(localCardInfo1);
              }
            }
          }
          i += 1;
          break;
          int i1 = Integer.parseInt((String)((ArrayList)localArrayList2.get(m)).get(1));
          if (i != i1)
            break label252;
          k = 1;
        }
        label252: m += 1;
      }
    }
    int i = 0;
    while (true)
    {
      int i2 = localArrayList2.size();
      if (i >= i2)
        break;
      int i3 = Integer.parseInt((String)((ArrayList)localArrayList2.get(i)).get(1));
      CardInfo localCardInfo2 = Common.getInstance().getCardInfo(i3);
      CafeDataSuper.STORE_TYPE localSTORE_TYPE3 = localCardInfo2.getStoreType();
      CafeDataSuper.STORE_TYPE localSTORE_TYPE4 = this.mStoreType;
      if (localSTORE_TYPE3 == localSTORE_TYPE4)
        localArrayList1.add(localCardInfo2);
      i += 1;
    }
  }

  public void didDownloadAd_AdListener()
  {
  }

  public void failedDownloadAd_AdListener(int paramInt, String paramString)
  {
    AdView localAdView = this.adCauly;
    MobileAdView localMobileAdView = this.adDaum;
    Common.caulyEnable(localAdView, localMobileAdView);
  }

  public void onBackPressed()
  {
    backKey();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903040);
    this.mThis = this;
    Object[] arrayOfObject = Common.initAdView(this, this);
    MobileAdView localMobileAdView = (MobileAdView)arrayOfObject[0];
    this.adDaum = localMobileAdView;
    AdView localAdView = (AdView)arrayOfObject[1];
    this.adCauly = localAdView;
    Common.getInstance().reloadCurrentLocationNetwork();
    Button localButton1 = (Button)findViewById(2131230733);
    this.btnCardDiscount = localButton1;
    Button localButton2 = (Button)findViewById(2131230734);
    this.btnCardSave = localButton2;
    Button localButton3 = (Button)findViewById(2131230732);
    this.btnMycard = localButton3;
    LinearLayout localLinearLayout1 = (LinearLayout)findViewById(2131230729);
    this.layoutCardNo = localLinearLayout1;
    ImageView localImageView = (ImageView)findViewById(2131230730);
    this.imageCardNo = localImageView;
    LinearLayout localLinearLayout2 = (LinearLayout)findViewById(2131230724);
    this.layoutCardMainInfo = localLinearLayout2;
    TextView localTextView = (TextView)findViewById(2131230726);
    this.txCardMainInfo = localTextView;
    ListView localListView1 = (ListView)findViewById(2131230728);
    this.list = localListView1;
    try
    {
      String str1 = getIntent().getExtras().getString("CAFE_CATEGORY");
      this.mCafeCategory = str1;
      try
      {
        label219: String str2 = getIntent().getExtras().getString("CALL_PATH");
        this.mCallPath = str2;
        try
        {
          label240: String str3 = getIntent().getExtras().getString("SCROLL");
          this.mScroll = str3;
          try
          {
            label260: String str4 = getIntent().getExtras().getString("STORE_NAME");
            this.mStoreName = str4;
            label280: if (this.mStoreName == null)
              this.mStoreName = "";
            try
            {
              String str5 = getIntent().getExtras().getString("STORE_ADDRESS");
              this.mLocationAddress = str5;
              label313: if (this.mLocationAddress == null)
                this.mLocationAddress = "";
              try
              {
                String str6 = getIntent().getExtras().getString("ORDER_TYPE");
                this.mOrderType = str6;
                try
                {
                  label346: String str7 = getIntent().getExtras().getString("PATH");
                  this.mPath = str7;
                  label366: if (this.mPath == null)
                    this.mPath = "";
                  this.btnMycard.setBackgroundResource(2130837619);
                  this.btnCardDiscount.setBackgroundResource(2130837515);
                  this.btnCardSave.setBackgroundResource(2130837520);
                  Button localButton4 = this.btnMycard;
                  Card.1 local1 = new Card.1(this);
                  localButton4.setOnClickListener(local1);
                  Button localButton5 = this.btnCardDiscount;
                  Card.2 local2 = new Card.2(this);
                  localButton5.setOnClickListener(local2);
                  Button localButton6 = this.btnCardSave;
                  Card.3 local3 = new Card.3(this);
                  localButton6.setOnClickListener(local3);
                  ListView localListView2 = this.list;
                  Card.4 local4 = new Card.4(this);
                  localListView2.setOnItemClickListener(local4);
                  CafeDataSuper.STORE_TYPE localSTORE_TYPE1;
                  if ((this.mCafeCategory.equals("ALL")) || (this.mCafeCategory.equals("BOOKMARK")))
                  {
                    Common localCommon1 = Common.getInstance();
                    CafeDataSuper localCafeDataSuper = Common.getInstance().getEachCafeData();
                    localSTORE_TYPE1 = localCommon1.getStoreType(localCafeDataSuper);
                  }
                  CafeDataSuper.STORE_TYPE localSTORE_TYPE2;
                  for (this.mStoreType = localSTORE_TYPE1; ; this.mStoreType = localSTORE_TYPE2)
                  {
                    CardInfo.TYPE localTYPE = CardInfo.TYPE.MYCARD;
                    this.mCardType = localTYPE;
                    MyAsyncTask localMyAsyncTask = new MyAsyncTask();
                    Void[] arrayOfVoid = new Void[0];
                    localMyAsyncTask.execute(arrayOfVoid);
                    return;
                    Common localCommon2 = Common.getInstance();
                    String str8 = this.mCafeCategory;
                    localSTORE_TYPE2 = localCommon2.getStoreType(str8);
                  }
                }
                catch (Exception localException1)
                {
                  break label366;
                }
              }
              catch (Exception localException2)
              {
                break label346;
              }
            }
            catch (Exception localException3)
            {
              break label313;
            }
          }
          catch (Exception localException4)
          {
            break label280;
          }
        }
        catch (Exception localException5)
        {
          break label260;
        }
      }
      catch (Exception localException6)
      {
        break label240;
      }
    }
    catch (Exception localException7)
    {
      break label219;
    }
  }

  public void onDestroy()
  {
    onDestroy();
    if (this.adDaum != null)
    {
      this.adDaum.destroy();
      this.adDaum = null;
    }
  }

  public void onPause()
  {
    onPause();
  }

  public void onResume()
  {
    onResume();
    Common.getInstance().startGpsService(this);
  }

  @Signature({"Landroid/os/AsyncTask", "<", "Ljava/lang/Void;", "Ljava/lang/Void;", "Ljava/lang/Void;", ">;"})
  class MyAsyncTask extends AsyncTask
  {
    private ProgressDialog progressDialog;

    MyAsyncTask()
    {
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      try
      {
        Card localCard = Card.this;
        ArrayList localArrayList = Card.this.getCardList();
        localCard.mCardList = localArrayList;
        return null;
      }
      catch (Exception localException)
      {
        while (true)
          localException.printStackTrace();
      }
    }

    protected void onPostExecute(Void paramVoid)
    {
      onPostExecute(paramVoid);
      if (this.progressDialog != null)
        this.progressDialog.dismiss();
      if ((Card.this.mCardList != null) && (Card.this.mCardList.size() > 0))
      {
        Card.this.list.setVisibility(0);
        Card.this.layoutCardNo.setVisibility(8);
        Card localCard = Card.this;
        Activity localActivity = Card.this.mThis;
        ArrayList localArrayList = Card.this.mCardList;
        CardListAdapterClass localCardListAdapterClass1 = new CardListAdapterClass(localActivity, localArrayList, 2130903041);
        localCard.adapter = localCardListAdapterClass1;
        ListView localListView = Card.this.list;
        CardListAdapterClass localCardListAdapterClass2 = Card.this.adapter;
        localListView.setAdapter(localCardListAdapterClass2);
        CardInfo.TYPE localTYPE1 = Card.this.mCardType;
        CardInfo.TYPE localTYPE2 = CardInfo.TYPE.MYCARD;
        if (localTYPE1 != localTYPE2)
          break label650;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE1 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE2 = CafeDataSuper.STORE_TYPE.Twosome;
        if (localSTORE_TYPE1 != localSTORE_TYPE2)
          break label272;
        Card.this.layoutCardMainInfo.setVisibility(0);
        Card.this.txCardMainInfo.setText("留ㅼ옣���곕씪 ��툝���먮�");
      }
      while (true)
      {
        return;
        Card.this.list.setVisibility(8);
        Card.this.layoutCardNo.setVisibility(0);
        CardInfo.TYPE localTYPE3 = Card.this.mCardType;
        CardInfo.TYPE localTYPE4 = CardInfo.TYPE.MYCARD;
        if (localTYPE3 == localTYPE4)
        {
          Card.this.imageCardNo.setBackgroundResource(2130837616);
          break;
        }
        Card.this.imageCardNo.setBackgroundResource(2130837519);
        break;
        label272: CafeDataSuper.STORE_TYPE localSTORE_TYPE3 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE4 = CafeDataSuper.STORE_TYPE.Tomntoms;
        if (localSTORE_TYPE3 == localSTORE_TYPE4)
        {
          Card.this.layoutCardMainInfo.setVisibility(8);
          Card.this.txCardMainInfo.setText("");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE5 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE6 = CafeDataSuper.STORE_TYPE.Caffebene;
        if (localSTORE_TYPE5 == localSTORE_TYPE6)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 �");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE7 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE8 = CafeDataSuper.STORE_TYPE.Starbucks;
        if (localSTORE_TYPE7 == localSTORE_TYPE8)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 �");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE9 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE10 = CafeDataSuper.STORE_TYPE.Angelinus;
        if (localSTORE_TYPE9 == localSTORE_TYPE10)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 癒멸렇而��댁슜��移대뱶���꾩옣��李띿뼱二쇨");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE11 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE12 = CafeDataSuper.STORE_TYPE.Hollys;
        if (localSTORE_TYPE11 == localSTORE_TYPE12)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 癒멸�");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE13 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE14 = CafeDataSuper.STORE_TYPE.Coffeebean;
        if (localSTORE_TYPE13 == localSTORE_TYPE14)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 �");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE15 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE16 = CafeDataSuper.STORE_TYPE.Pascucci;
        if (localSTORE_TYPE15 == localSTORE_TYPE16)
        {
          Card.this.layoutCardMainInfo.setVisibility(0);
          Card.this.txCardMainInfo.setText("��툝���먮뒗 媛쒖씤 �");
          continue;
        }
        CafeDataSuper.STORE_TYPE localSTORE_TYPE17 = Card.this.mStoreType;
        CafeDataSuper.STORE_TYPE localSTORE_TYPE18 = CafeDataSuper.STORE_TYPE.Ediya;
        if (localSTORE_TYPE17 != localSTORE_TYPE18)
          continue;
        Card.this.layoutCardMainInfo.setVisibility(8);
        Card.this.txCardMainInfo.setText("");
        continue;
        label650: Card.this.layoutCardMainInfo.setVisibility(8);
      }
    }

    protected void onPreExecute()
    {
      onPreExecute();
      ProgressDialog localProgressDialog = ProgressDialog.show(Card.this.mThis, "", "�곗씠��濡쒕뵫以묒엯�");
      this.progressDialog = localProgressDialog;
      this.progressDialog.setCancelable(1);
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.Card
 * JD-Core Version:    0.6.0
 */