package Jgun.CafeFinder;

import Jgun.CafeFinder.data.Angelinus;
import Jgun.CafeFinder.data.BaskinRobbins;
import Jgun.CafeFinder.data.Cafe7Gram;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.data.Caffeebene;
import Jgun.CafeFinder.data.Coffeebean;
import Jgun.CafeFinder.data.Coffeenie;
import Jgun.CafeFinder.data.Coffine;
import Jgun.CafeFinder.data.DeChocolate;
import Jgun.CafeFinder.data.Dunkin;
import Jgun.CafeFinder.data.Ediya;
import Jgun.CafeFinder.data.Hollys;
import Jgun.CafeFinder.data.JavaCity;
import Jgun.CafeFinder.data.Pascucci;
import Jgun.CafeFinder.data.SevenMonkeys;
import Jgun.CafeFinder.data.Starbucks;
import Jgun.CafeFinder.data.Tomntoms;
import Jgun.CafeFinder.data.Twosome;
import Jgun.CafeFinder.loader.HollysLoad;
import Jgun.CafeFinder.loader.StarbucksLoad;
import Jgun.CafeFinder.loader.TomntomsLoad;
import Jgun.CommonLib.Database;
import Jgun.CommonLib.Util;
import android.app.Activity;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Handler;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import com.cauly.android.ad.AdView;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;
import com.google.android.maps.OverlayItem;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import net.daum.mobilead.AdHttpListener;
import net.daum.mobilead.MobileAdView;

public class ViewStoreDetail extends MapActivity
  implements AdHttpListener
{
  private AdView adCauly;
  private MobileAdView adDaum;
  private Button btnAr;
  private Button btnBookmark;
  private Button btnCall;
  private Button btnCardInfo;
  private Button btnCostInfo;
  private Button btnErrorReport;
  private Database database;
  private ImageView imageCafeIcon;
  private String mCafeCategory;
  private CafeDataSuper mCafeEachInfo;
  private String mLocationAddress;
  private String mOrderType;
  private String mPath;
  private String mScroll;
  private String mStoreName;
  private Activity mThis;
  private Util mUtil;
  private SitesOverlay makerOverCenter;
  private MapView map;
  private Drawable marker;
  private MyLocationOverlay me = null;
  private TextView txAddress;
  private TextView txContact;
  private TextView txConvenience;
  private TextView txInfomation;
  private TextView txOpenInfo;
  private TextView txPark;
  private TextView txSeat;
  private TextView txStoreName;

  public ViewStoreDetail()
  {
    Util localUtil = new Util();
    this.mUtil = localUtil;
    this.map = null;
    this.btnCardInfo = null;
    this.btnCostInfo = null;
    this.btnBookmark = null;
    this.btnErrorReport = null;
    this.btnAr = null;
    this.makerOverCenter = null;
    this.mCafeCategory = "";
    this.mStoreName = "";
    this.mLocationAddress = "";
    this.mOrderType = "";
    this.mScroll = "";
    this.mPath = "";
    Database localDatabase = new Database();
    this.database = localDatabase;
    this.adCauly = null;
    this.adDaum = null;
  }

  private void backKey()
  {
    if (this.mCafeCategory.equals("BOOKMARK"))
    {
      HashMap localHashMap1 = new HashMap();
      String str1 = this.mScroll;
      localHashMap1.put("SCROLL", str1);
      String str2 = this.mOrderType.toString();
      localHashMap1.put("ORDER_TYPE", str2);
      Util localUtil1 = this.mUtil;
      Activity localActivity1 = this.mThis;
      localUtil1.goIntent(localActivity1, Bookmark.class, localHashMap1);
    }
    while (true)
    {
      return;
      HashMap localHashMap2 = new HashMap();
      String str3 = this.mCafeCategory;
      localHashMap2.put("CAFE_CATEGORY", str3);
      String str4 = this.mScroll;
      localHashMap2.put("SCROLL", str4);
      String str5 = this.mLocationAddress;
      localHashMap2.put("STORE_ADDRESS", str5);
      String str6 = this.mStoreName;
      localHashMap2.put("STORE_NAME", str6);
      String str7 = this.mOrderType.toString();
      localHashMap2.put("ORDER_TYPE", str7);
      String str8 = this.mPath;
      localHashMap2.put("PATH", str8);
      Util localUtil2 = this.mUtil;
      Activity localActivity2 = this.mThis;
      localUtil2.goIntent(localActivity2, CategoryList.class, localHashMap2);
    }
  }

  private GeoPoint getPoint(double paramDouble1, double paramDouble2)
  {
    double paramDouble2 = (int)(paramDouble1 * 0.0F);
    int i = (int)(??? * 0.0F);
    return new GeoPoint(paramDouble2, i);
  }

  private void setViewInfomation()
  {
    LinearLayout localLinearLayout1 = (LinearLayout)findViewById(2131230828);
    LinearLayout localLinearLayout2 = (LinearLayout)findViewById(2131230831);
    LinearLayout localLinearLayout3 = (LinearLayout)findViewById(2131230834);
    LinearLayout localLinearLayout4 = (LinearLayout)findViewById(2131230837);
    LinearLayout localLinearLayout5 = (LinearLayout)findViewById(2131230840);
    if ((this.mCafeEachInfo instanceof Caffeebene))
    {
      localLinearLayout1.setVisibility(0);
      if ((this.mCafeEachInfo.getConvenience() == null) || (this.mCafeEachInfo.getConvenience().length() <= 0))
        break label191;
      localLinearLayout2.setVisibility(0);
      label95: if ((this.mCafeEachInfo.getParking() == null) || (this.mCafeEachInfo.getParking().length() <= 0))
        break label200;
      localLinearLayout3.setVisibility(0);
      label123: if ((this.mCafeEachInfo.getOpenTime() == null) || (this.mCafeEachInfo.getOpenTime().length() <= 0))
        break label209;
      localLinearLayout4.setVisibility(0);
      label152: if ((this.mCafeEachInfo.getInfomation() == null) || (this.mCafeEachInfo.getInfomation().length() <= 0))
        break label219;
      localLinearLayout5.setVisibility(0);
    }
    while (true)
    {
      return;
      localLinearLayout1.setVisibility(8);
      break;
      label191: localLinearLayout2.setVisibility(8);
      break label95;
      label200: localLinearLayout3.setVisibility(8);
      break label123;
      label209: localLinearLayout4.setVisibility(8);
      break label152;
      label219: localLinearLayout5.setVisibility(8);
    }
  }

  public void didDownloadAd_AdListener()
  {
  }

  public void failedDownloadAd_AdListener(int paramInt, String paramString)
  {
    AdView localAdView = this.adCauly;
    MobileAdView localMobileAdView = this.adDaum;
    Common.caulyEnable(localAdView, localMobileAdView);
  }

  protected boolean isRouteDisplayed()
  {
    return false;
  }

  public void onBackPressed()
  {
    backKey();
  }

  public void onCreate(Bundle paramBundle)
  {
    onCreate(paramBundle);
    setContentView(2130903052);
    this.mThis = this;
    Object[] arrayOfObject = Common.initAdView(this, this);
    MobileAdView localMobileAdView = (MobileAdView)arrayOfObject[0];
    this.adDaum = localMobileAdView;
    AdView localAdView = (AdView)arrayOfObject[1];
    this.adCauly = localAdView;
    Common.getInstance().reloadCurrentLocationNetwork();
    Common.getInstance().setBeforePageIsList(0);
    try
    {
      String str1 = getIntent().getExtras().getString("CAFE_CATEGORY");
      this.mCafeCategory = str1;
      try
      {
        label82: String str2 = getIntent().getExtras().getString("SCROLL");
        this.mScroll = str2;
        try
        {
          label102: String str3 = getIntent().getExtras().getString("STORE_NAME");
          this.mStoreName = str3;
          label122: if (this.mStoreName == null)
            this.mStoreName = "";
          try
          {
            String str4 = getIntent().getExtras().getString("STORE_ADDRESS");
            this.mLocationAddress = str4;
            label155: if (this.mLocationAddress == null)
              this.mLocationAddress = "";
            try
            {
              String str5 = getIntent().getExtras().getString("ORDER_TYPE");
              this.mOrderType = str5;
              try
              {
                label188: String str6 = getIntent().getExtras().getString("PATH");
                this.mPath = str6;
                label208: if (this.mPath == null)
                  this.mPath = "";
                CafeDataSuper localCafeDataSuper = Common.getInstance().getEachCafeData();
                this.mCafeEachInfo = localCafeDataSuper;
                TextView localTextView1 = (TextView)findViewById(2131230752);
                this.txStoreName = localTextView1;
                TextView localTextView2 = (TextView)findViewById(2131230753);
                this.txAddress = localTextView2;
                TextView localTextView3 = (TextView)findViewById(2131230827);
                this.txContact = localTextView3;
                TextView localTextView4 = (TextView)findViewById(2131230830);
                this.txSeat = localTextView4;
                TextView localTextView5 = (TextView)findViewById(2131230833);
                this.txConvenience = localTextView5;
                TextView localTextView6 = (TextView)findViewById(2131230836);
                this.txPark = localTextView6;
                TextView localTextView7 = (TextView)findViewById(2131230839);
                this.txOpenInfo = localTextView7;
                TextView localTextView8 = (TextView)findViewById(2131230740);
                this.txInfomation = localTextView8;
                ImageView localImageView = (ImageView)findViewById(2131230823);
                this.imageCafeIcon = localImageView;
                if ((this.mCafeEachInfo instanceof Angelinus))
                {
                  this.imageCafeIcon.setBackgroundResource(2130837504);
                  Button localButton1 = (Button)findViewById(2131230842);
                  this.btnCall = localButton1;
                  Button localButton2 = (Button)findViewById(2131230795);
                  this.btnBookmark = localButton2;
                  if (this.mCafeCategory.equals("BOOKMARK"))
                    this.btnBookmark.setBackgroundResource(2130837630);
                  Button localButton3 = this.btnBookmark;
                  ViewStoreDetail.1 local1 = new ViewStoreDetail.1(this);
                  localButton3.setOnClickListener(local1);
                  Button localButton4 = this.btnCall;
                  ViewStoreDetail.2 local2 = new ViewStoreDetail.2(this);
                  localButton4.setOnClickListener(local2);
                  Button localButton5 = (Button)findViewById(2131230749);
                  this.btnCardInfo = localButton5;
                  Button localButton6 = this.btnCardInfo;
                  ViewStoreDetail.3 local3 = new ViewStoreDetail.3(this);
                  localButton6.setOnClickListener(local3);
                  Button localButton7 = (Button)findViewById(2131230750);
                  this.btnCostInfo = localButton7;
                  Button localButton8 = this.btnCostInfo;
                  ViewStoreDetail.4 local4 = new ViewStoreDetail.4(this);
                  localButton8.setOnClickListener(local4);
                  Button localButton9 = (Button)findViewById(2131230747);
                  this.btnAr = localButton9;
                  Button localButton10 = this.btnAr;
                  ViewStoreDetail.5 local5 = new ViewStoreDetail.5(this);
                  localButton10.setOnClickListener(local5);
                  Button localButton11 = (Button)findViewById(2131230824);
                  this.btnErrorReport = localButton11;
                  Button localButton12 = this.btnErrorReport;
                  ViewStoreDetail.6 local6 = new ViewStoreDetail.6(this);
                  localButton12.setOnClickListener(local6);
                  TextView localTextView9 = this.txStoreName;
                  int i = this.txStoreName.getPaintFlags() | 0x20;
                  localTextView9.setPaintFlags(i);
                  TextView localTextView10 = this.txStoreName;
                  String str7 = this.mCafeEachInfo.getStoreName();
                  localTextView10.setText(str7);
                  TextView localTextView11 = this.txAddress;
                  String str8 = this.mCafeEachInfo.getAddress();
                  localTextView11.setText(str8);
                  TextView localTextView12 = this.txContact;
                  String str9 = this.mCafeEachInfo.getContact();
                  localTextView12.setText(str9);
                  if ((this.mCafeEachInfo instanceof Caffeebene))
                  {
                    TextView localTextView13 = this.txSeat;
                    String str10 = String.valueOf(((Caffeebene)this.mCafeEachInfo).getSeat());
                    String str11 = str10;
                    localTextView13.setText(str11);
                  }
                  TextView localTextView14 = this.txConvenience;
                  String str12 = this.mCafeEachInfo.getConvenience();
                  localTextView14.setText(str12);
                  TextView localTextView15 = this.txPark;
                  String str13 = this.mCafeEachInfo.getParking();
                  localTextView15.setText(str13);
                  if (!(this.mCafeEachInfo instanceof Tomntoms))
                    break label1637;
                  TextView localTextView16 = this.txOpenInfo;
                  String str14 = String.valueOf(this.mCafeEachInfo.getOpenTime());
                  StringBuilder localStringBuilder = new StringBuilder(str14).append(" ~ ");
                  String str15 = ((Tomntoms)this.mCafeEachInfo).getCloseTime();
                  String str16 = str15;
                  localTextView16.setText(str16);
                  label948: TextView localTextView17 = this.txInfomation;
                  String str17 = this.mCafeEachInfo.getInfomation();
                  localTextView17.setText(str17);
                  setViewInfomation();
                  MapView localMapView1 = (MapView)findViewById(2131230762);
                  this.map = localMapView1;
                  MapController localMapController = this.map.getController();
                  double d1 = this.mCafeEachInfo.getLatitude();
                  double d2 = this.mCafeEachInfo.getLongitude();
                  GeoPoint localGeoPoint = getPoint(d1, d2);
                  localMapController.setCenter(localGeoPoint);
                  this.map.setBuiltInZoomControls(1);
                  this.map.setStreetView(1);
                  this.map.setSatellite(0);
                  this.map.getController().setZoom(17);
                  MapView localMapView2 = this.map;
                  MyLocationOverlay localMyLocationOverlay1 = new MyLocationOverlay(this, localMapView2);
                  this.me = localMyLocationOverlay1;
                  if (!(Common.getInstance().getEachCafeData() instanceof Twosome))
                    break label1662;
                  Drawable localDrawable1 = getResources().getDrawable(2130837600);
                  this.marker = localDrawable1;
                }
                while (true)
                {
                  Drawable localDrawable2 = this.marker;
                  int j = this.marker.getIntrinsicWidth();
                  int k = this.marker.getIntrinsicHeight();
                  localDrawable2.setBounds(0, 0, j, k);
                  Drawable localDrawable3 = this.marker;
                  SitesOverlay localSitesOverlay1 = new SitesOverlay(localDrawable3);
                  this.makerOverCenter = localSitesOverlay1;
                  List localList1 = this.map.getOverlays();
                  MyLocationOverlay localMyLocationOverlay2 = this.me;
                  localList1.add(localMyLocationOverlay2);
                  List localList2 = this.map.getOverlays();
                  SitesOverlay localSitesOverlay2 = this.makerOverCenter;
                  localList2.add(localSitesOverlay2);
                  return;
                  if ((this.mCafeEachInfo instanceof Caffeebene))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837511);
                    ((LinearLayout)findViewById(2131230828)).setVisibility(0);
                    ((LinearLayout)findViewById(2131230840)).setVisibility(8);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Coffeebean))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837523);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Ediya))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837547);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Hollys))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837551);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Pascucci))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837621);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Starbucks))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837649);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Tomntoms))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837669);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Twosome))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837673);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Coffine))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837525);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Dunkin))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837546);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof SevenMonkeys))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837648);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof DeChocolate))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837527);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof JavaCity))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837559);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof Coffeenie))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837524);
                    break;
                  }
                  if ((this.mCafeEachInfo instanceof BaskinRobbins))
                  {
                    this.imageCafeIcon.setBackgroundResource(2130837505);
                    break;
                  }
                  if (!(this.mCafeEachInfo instanceof Cafe7Gram))
                    break;
                  this.imageCafeIcon.setBackgroundResource(2130837510);
                  break;
                  label1637: TextView localTextView18 = this.txOpenInfo;
                  String str18 = this.mCafeEachInfo.getOpenTime();
                  localTextView18.setText(str18);
                  break label948;
                  label1662: if ((Common.getInstance().getEachCafeData() instanceof Tomntoms))
                  {
                    Drawable localDrawable4 = getResources().getDrawable(2130837599);
                    this.marker = localDrawable4;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Caffeebene))
                  {
                    Drawable localDrawable5 = getResources().getDrawable(2130837582);
                    this.marker = localDrawable5;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Starbucks))
                  {
                    Drawable localDrawable6 = getResources().getDrawable(2130837598);
                    this.marker = localDrawable6;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Angelinus))
                  {
                    Drawable localDrawable7 = getResources().getDrawable(2130837579);
                    this.marker = localDrawable7;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Hollys))
                  {
                    Drawable localDrawable8 = getResources().getDrawable(2130837590);
                    this.marker = localDrawable8;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Coffeebean))
                  {
                    Drawable localDrawable9 = getResources().getDrawable(2130837583);
                    this.marker = localDrawable9;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Pascucci))
                  {
                    Drawable localDrawable10 = getResources().getDrawable(2130837593);
                    this.marker = localDrawable10;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Ediya))
                  {
                    Drawable localDrawable11 = getResources().getDrawable(2130837588);
                    this.marker = localDrawable11;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Coffine))
                  {
                    Drawable localDrawable12 = getResources().getDrawable(2130837589);
                    this.marker = localDrawable12;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Dunkin))
                  {
                    Drawable localDrawable13 = getResources().getDrawable(2130837587);
                    this.marker = localDrawable13;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof SevenMonkeys))
                  {
                    Drawable localDrawable14 = getResources().getDrawable(2130837597);
                    this.marker = localDrawable14;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof DeChocolate))
                  {
                    Drawable localDrawable15 = getResources().getDrawable(2130837586);
                    this.marker = localDrawable15;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof JavaCity))
                  {
                    Drawable localDrawable16 = getResources().getDrawable(2130837591);
                    this.marker = localDrawable16;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof Coffeenie))
                  {
                    Drawable localDrawable17 = getResources().getDrawable(2130837584);
                    this.marker = localDrawable17;
                    continue;
                  }
                  if ((Common.getInstance().getEachCafeData() instanceof BaskinRobbins))
                  {
                    Drawable localDrawable18 = getResources().getDrawable(2130837580);
                    this.marker = localDrawable18;
                    continue;
                  }
                  if (!(Common.getInstance().getEachCafeData() instanceof Cafe7Gram))
                    continue;
                  Drawable localDrawable19 = getResources().getDrawable(2130837581);
                  this.marker = localDrawable19;
                }
              }
              catch (Exception localException1)
              {
                break label208;
              }
            }
            catch (Exception localException2)
            {
              break label188;
            }
          }
          catch (Exception localException3)
          {
            break label155;
          }
        }
        catch (Exception localException4)
        {
          break label122;
        }
      }
      catch (Exception localException5)
      {
        break label102;
      }
    }
    catch (Exception localException6)
    {
      break label82;
    }
  }

  public void onDestroy()
  {
    onDestroy();
    if (this.adDaum != null)
    {
      this.adDaum.destroy();
      this.adDaum = null;
    }
  }

  public void onPause()
  {
    onPause();
    this.me.disableCompass();
  }

  public void onResume()
  {
    onResume();
    Common.getInstance().startGpsService(this);
    this.me.enableCompass();
  }

  @Signature({"Landroid/os/AsyncTask", "<", "Ljava/lang/Void;", "Ljava/lang/Void;", "Ljava/lang/Void;", ">;"})
  class MyAsyncTask extends AsyncTask
  {
    MyAsyncTask()
    {
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      try
      {
        StarbucksLoad.getInstance();
        HollysLoad.getInstance();
        TomntomsLoad.getInstance();
        return null;
      }
      catch (Exception localException)
      {
        while (true)
          localException.printStackTrace();
      }
    }

    protected void onPostExecute(Void paramVoid)
    {
      new ViewStoreDetail.MyAsyncTask.1(this).sendEmptyMessageDelayed(0, 1000L);
      onPostExecute(paramVoid);
    }

    protected void onPreExecute()
    {
      onPreExecute();
      Toast.makeText(ViewStoreDetail.this.mThis, "�", 1).show();
    }
  }

  @Signature({"Lcom/google/android/maps/ItemizedOverlay", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
  class SitesOverlay extends ItemizedOverlay
  {

    @Signature({"Ljava/util/List", "<", "Lcom/google/android/maps/OverlayItem;", ">;"})
    private List items;
    private Drawable marker;

    public SitesOverlay(Drawable arg2)
    {
      super();
      ArrayList localArrayList = new ArrayList();
      this.items = localArrayList;
      this.marker = null;
      this.marker = localDrawable;
      List localList = this.items;
      double d1 = ViewStoreDetail.this.mCafeEachInfo.getLatitude();
      double d2 = ViewStoreDetail.this.mCafeEachInfo.getLongitude();
      GeoPoint localGeoPoint = ViewStoreDetail.this.getPoint(d1, d2);
      String str1 = ViewStoreDetail.this.mCafeEachInfo.getStoreMainName();
      String str2 = ViewStoreDetail.this.mCafeEachInfo.getStoreName();
      OverlayItem localOverlayItem = new OverlayItem(localGeoPoint, str1, str2);
      localList.add(localOverlayItem);
      populate();
    }

    protected OverlayItem createItem(int paramInt)
    {
      return (OverlayItem)this.items.get(paramInt);
    }

    public void draw(Canvas paramCanvas, MapView paramMapView, boolean paramBoolean)
    {
      draw(paramCanvas, paramMapView, paramBoolean);
      boundCenterBottom(this.marker);
    }

    protected boolean onTap(int paramInt)
    {
      Activity localActivity = ViewStoreDetail.this.mThis;
      String str = ViewStoreDetail.this.mCafeEachInfo.getStoreName();
      Toast.makeText(localActivity, str, 0).show();
      return true;
    }

    public int size()
    {
      return this.items.size();
    }
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.ViewStoreDetail
 * JD-Core Version:    0.6.0
 */