package Jgun.CafeFinder.org.mixare;

import Jgun.CafeFinder.Common;
import Jgun.CafeFinder.data.CafeDataSuper;
import Jgun.CafeFinder.org.mixare.data.DataHandler;
import Jgun.CafeFinder.org.mixare.gui.PaintScreen;
import Jgun.CafeFinder.org.mixare.gui.RadarPoints;
import Jgun.CafeFinder.org.mixare.gui.ScreenLine;
import Jgun.CafeFinder.org.mixare.reality.PhysicalPlace;
import Jgun.CafeFinder.org.mixare.render.Camera;
import Jgun.CafeFinder.org.mixare.render.Matrix;
import Jgun.CafeFinder.org.mixare.render.MixVector;
import android.graphics.Color;
import android.location.Location;
import android.util.Log;
import dalvik.annotation.Signature;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;

public class DataView
{
  public int BUS;
  public int BUS_STATION;
  String BUZZ_HOME_URL;
  public int CLOSE_BUTTON;
  public int CONNECITON_ERROR_DIALOG_BUTTON1;
  public int CONNECITON_ERROR_DIALOG_BUTTON2;
  public int CONNECITON_ERROR_DIALOG_BUTTON3;
  public int CONNECITON_ERROR_DIALOG_TEXT;
  public int CONNECITON_GPS_DIALOG_BUTTON1;
  public int CONNECITON_GPS_DIALOG_BUTTON2;
  public int CONNECITON_GPS_DIALOG_TEXT;
  public int DATA_SOURCE_CHANGE_BUZZ;
  public int DATA_SOURCE_CHANGE_OSM;
  public int DATA_SOURCE_CHANGE_TWITTER;
  public int DATA_SOURCE_CHANGE_WIKIPEDIA;
  public int EMPTY_LIST_STRIG_ID;
  public int EMPTY_LIST_STRING_ID;
  public int GENERAL_INFO_TEXT;
  public int GENERAL_INFO_TITLE;
  public int GPS_ACCURACY;
  public int GPS_ALTITUDE;
  public int GPS_LAST_FIX;
  public int GPS_LATITUDE;
  public int GPS_LONGITUDE;
  public int GPS_SPEED;
  public int LICENSE_TEXT;
  public int LICENSE_TITLE;
  public int MAP_CURRENT_LOCATION_CLICK;
  public int MAP_MENU_NORMAL_MODE;
  public int MAP_MENU_SATELLITE_MODE;
  public int MAP_MY_LOCATION;
  public int MENU_CAM_MODE;
  public int MENU_ITEM_1;
  public int MENU_ITEM_2;
  public int MENU_ITEM_3;
  public int MENU_ITEM_4;
  public int MENU_ITEM_5;
  public int MENU_ITEM_6;
  public int MENU_ITEM_7;
  public int NACHT;
  public int NO_WEBINFO_AVAILABLE;
  public int OPTION_NOT_AVAILABLE_STRING_ID;
  String OSM_URL;
  public int SEARCH_ACTIVE_1;
  public int SEARCH_ACTIVE_2;
  public int SEARCH_FAILED_NOTIFICATION;
  public int SOURCE_OPENSTREETMAP;
  public int STATION;
  String TWITTER_HOME_URL;
  String WIKI_HOME_URL;
  public float addX;
  public float addY;
  Camera cam;
  MixContext ctx;
  private Location curFix;
  DownloadResult dRes;
  private Date dt;
  private long endTime;
  boolean frozen;
  int height;
  boolean isInit = 0;
  public boolean isLauncherStarted;
  public DataHandler jLayer;
  MixVector looking;
  ScreenLine lrl;
  Matrix rInv;
  RadarPoints radarPoints;
  public float radius;
  int retry;
  ScreenLine rrl;
  float rx;
  float ry;
  public float screenHeight;
  public float screenWidth;
  private long startTime;
  public MixState state;

  @Signature({"Ljava/util/ArrayList", "<", "LJgun/CafeFinder/org/mixare/UIEvent;", ">;"})
  ArrayList uiEvents;
  int width;

  public DataView(MixContext paramMixContext)
  {
    MixState localMixState = new MixState();
    this.state = localMixState;
    this.frozen = 0;
    this.retry = 0;
    this.WIKI_HOME_URL = "http://ws.geonames.org/findNearbyWikipediaJSON";
    this.TWITTER_HOME_URL = "http://search.twitter.com/search.json";
    this.BUZZ_HOME_URL = "https://www.googleapis.com/buzz/v1/activities/search?alt=json&max-results=20";
    this.OSM_URL = "http://xapi.openstreetmap.org/api/0.6/node[railway=station]";
    DataHandler localDataHandler = new DataHandler();
    this.jLayer = localDataHandler;
    this.radius = 20.0F;
    this.EMPTY_LIST_STRING_ID = 2131165194;
    this.OPTION_NOT_AVAILABLE_STRING_ID = 2131165195;
    this.EMPTY_LIST_STRIG_ID = 2131165194;
    this.MENU_ITEM_1 = 2131165197;
    this.MENU_ITEM_2 = 2131165198;
    this.MENU_ITEM_3 = 2131165199;
    this.MENU_ITEM_4 = 2131165200;
    this.MENU_ITEM_5 = 2131165201;
    this.MENU_ITEM_6 = 2131165202;
    this.MENU_ITEM_7 = 2131165203;
    this.CONNECITON_ERROR_DIALOG_TEXT = 2131165204;
    this.CONNECITON_ERROR_DIALOG_BUTTON1 = 2131165205;
    this.CONNECITON_ERROR_DIALOG_BUTTON2 = 2131165206;
    this.CONNECITON_ERROR_DIALOG_BUTTON3 = 2131165207;
    this.CONNECITON_GPS_DIALOG_TEXT = 2131165208;
    this.CONNECITON_GPS_DIALOG_BUTTON1 = 2131165209;
    this.CONNECITON_GPS_DIALOG_BUTTON2 = 2131165210;
    this.isLauncherStarted = 0;
    this.NO_WEBINFO_AVAILABLE = 2131165211;
    this.LICENSE_TEXT = 2131165196;
    this.LICENSE_TITLE = 2131165212;
    this.CLOSE_BUTTON = 2131165213;
    this.GENERAL_INFO_TITLE = 2131165214;
    this.GENERAL_INFO_TEXT = 2131165215;
    this.GPS_LONGITUDE = 2131165216;
    this.GPS_LATITUDE = 2131165217;
    this.GPS_ALTITUDE = 2131165218;
    this.GPS_SPEED = 2131165219;
    this.GPS_ACCURACY = 2131165220;
    this.GPS_LAST_FIX = 2131165221;
    this.MAP_MENU_NORMAL_MODE = 2131165222;
    this.MAP_MENU_SATELLITE_MODE = 2131165223;
    this.MENU_CAM_MODE = 2131165224;
    this.MAP_MY_LOCATION = 2131165225;
    this.MAP_CURRENT_LOCATION_CLICK = 2131165226;
    this.DATA_SOURCE_CHANGE_WIKIPEDIA = 2131165227;
    this.DATA_SOURCE_CHANGE_TWITTER = 2131165228;
    this.DATA_SOURCE_CHANGE_BUZZ = 2131165229;
    this.DATA_SOURCE_CHANGE_OSM = 2131165230;
    this.SEARCH_FAILED_NOTIFICATION = 2131165231;
    this.SOURCE_OPENSTREETMAP = 2131165232;
    this.SEARCH_ACTIVE_1 = 2131165233;
    this.SEARCH_ACTIVE_2 = 2131165234;
    this.BUS = 2131165235;
    this.STATION = 2131165236;
    this.BUS_STATION = 2131165237;
    this.NACHT = 2131165238;
    Date localDate = new Date();
    this.dt = localDate;
    ArrayList localArrayList = new ArrayList();
    this.uiEvents = localArrayList;
    RadarPoints localRadarPoints = new RadarPoints();
    this.radarPoints = localRadarPoints;
    Matrix localMatrix = new Matrix();
    this.rInv = localMatrix;
    MixVector localMixVector = new MixVector();
    this.looking = localMixVector;
    ScreenLine localScreenLine1 = new ScreenLine();
    this.lrl = localScreenLine1;
    ScreenLine localScreenLine2 = new ScreenLine();
    this.rrl = localScreenLine2;
    this.rx = 10.0F;
    this.ry = 20.0F;
    this.addX = 0.0F;
    this.addY = 0.0F;
    this.ctx = paramMixContext;
  }

  private void handleKeyEvent(KeyEvent paramKeyEvent)
  {
    if (paramKeyEvent.keyCode == 21)
    {
      float f1 = this.addX - 10.0F;
      this.addX = f1;
      if (paramKeyEvent.keyCode == 27)
        if (!this.frozen)
          break label132;
    }
    label132: for (int i = 0; ; i = 1)
    {
      this.frozen = i;
      return;
      if (paramKeyEvent.keyCode == 22)
      {
        float f2 = this.addX + 10.0F;
        this.addX = f2;
        break;
      }
      if (paramKeyEvent.keyCode == 20)
      {
        float f3 = this.addY + 10.0F;
        this.addY = f3;
        break;
      }
      if (paramKeyEvent.keyCode != 19)
        break;
      float f4 = this.addY - 10.0F;
      this.addY = f4;
      break;
    }
  }

  public void clearEvents()
  {
    synchronized (this.uiEvents)
    {
      this.uiEvents.clear();
      return;
    }
  }

  public void clickEvent(float paramFloat1, float paramFloat2)
  {
    synchronized (this.uiEvents)
    {
      ArrayList localArrayList2 = this.uiEvents;
      ClickEvent localClickEvent = new ClickEvent(paramFloat1, paramFloat2);
      localArrayList2.add(localClickEvent);
      return;
    }
  }

  public void doStart()
  {
    MixState localMixState = this.state;
    int i = MixState.NOT_STARTED;
    localMixState.nextLStatus = i;
  }

  public void draw(PaintScreen paramPaintScreen)
  {
    MixContext localMixContext = this.ctx;
    Matrix localMatrix1 = this.cam.transform;
    localMixContext.getRM(localMatrix1);
    Location localLocation1 = this.ctx.getCurrentLocation();
    this.curFix = localLocation1;
    MixState localMixState1 = this.state;
    Matrix localMatrix2 = this.cam.transform;
    localMixState1.calcPitchBearing(localMatrix2);
    float f1 = this.width;
    this.screenWidth = f1;
    float f2 = this.height;
    this.screenHeight = f2;
    this.jLayer.markers.clear();
    int i;
    if (Common.getInstance().isBeforePageIsList())
      i = 0;
    while (true)
    {
      int j = Common.getInstance().getCafeList().size();
      int k = i;
      int m = j;
      label129: int i2;
      label184: String str1;
      int i7;
      label265: UIEvent localUIEvent;
      if (k >= m)
      {
        int n = 0;
        this.retry = n;
        MixState localMixState2 = this.state;
        int i1 = MixState.DONE;
        localMixState2.nextLStatus = i1;
        ArrayList localArrayList1 = this.jLayer.markers;
        MarkersOrder localMarkersOrder = new MarkersOrder();
        Collections.sort(localArrayList1, localMarkersOrder);
        i2 = 0;
        int i3 = this.jLayer.markers.size();
        int i4 = i2;
        int i5 = i3;
        if (i4 < i5)
          break label1266;
        str1 = "";
        int i6 = (int)this.state.getCurBearing();
        i7 = (int)(this.state.getCurBearing() / 22.5F);
        int i8 = i7;
        int i9 = 15;
        if ((i8 != i9) && (i7 != 0))
          break label1489;
        str1 = "�";
        RadarPoints localRadarPoints1 = this.radarPoints;
        DataView localDataView1 = this;
        localRadarPoints1.view = localDataView1;
        RadarPoints localRadarPoints2 = this.radarPoints;
        float f3 = this.rx;
        float f4 = this.ry;
        float f5 = -this.state.getCurBearing();
        paramPaintScreen.paintObj(localRadarPoints2, f3, f4, f5, 1.0F);
        PaintScreen localPaintScreen1 = paramPaintScreen;
        int i10 = 0;
        localPaintScreen1.setFill(i10);
        int i11 = Color.argb(150, 0, 0, 220);
        PaintScreen localPaintScreen2 = paramPaintScreen;
        int i12 = i11;
        localPaintScreen2.setColor(i12);
        float f6 = this.lrl.x;
        float f7 = this.lrl.y;
        float f8 = this.rx;
        float f9 = RadarPoints.RADIUS;
        float f10 = f8 + f9;
        float f11 = this.ry;
        float f12 = RadarPoints.RADIUS;
        float f13 = f11 + f12;
        PaintScreen localPaintScreen3 = paramPaintScreen;
        float f14 = f6;
        float f15 = f7;
        float f16 = f10;
        float f17 = f13;
        localPaintScreen3.paintLine(f14, f15, f16, f17);
        float f18 = this.rrl.x;
        float f19 = this.rrl.y;
        float f20 = this.rx;
        float f21 = RadarPoints.RADIUS;
        float f22 = f20 + f21;
        float f23 = this.ry;
        float f24 = RadarPoints.RADIUS;
        float f25 = f23 + f24;
        PaintScreen localPaintScreen4 = paramPaintScreen;
        float f26 = f18;
        float f27 = f19;
        float f28 = f22;
        float f29 = f25;
        localPaintScreen4.paintLine(f26, f27, f28, f29);
        int i13 = Color.rgb(255, 255, 255);
        PaintScreen localPaintScreen5 = paramPaintScreen;
        int i14 = i13;
        localPaintScreen5.setColor(i14);
        PaintScreen localPaintScreen6 = paramPaintScreen;
        float f30 = 12.0F;
        localPaintScreen6.setFontSize(f30);
        String str2 = MixUtils.formatDist(this.radius * 1000.0F);
        float f31 = this.rx;
        float f32 = RadarPoints.RADIUS;
        float f33 = f31 + f32;
        float f34 = this.ry;
        float f35 = RadarPoints.RADIUS * 2.0F;
        float f36 = f34 + f35 - 10.0F;
        DataView localDataView2 = this;
        PaintScreen localPaintScreen7 = paramPaintScreen;
        localDataView2.radarText(localPaintScreen7, str2, f33, f36, 0);
        StringBuilder localStringBuilder1 = new StringBuilder().append(i6).append(176).append(" ");
        String str3 = str1;
        String str4 = str3;
        float f37 = this.rx;
        float f38 = RadarPoints.RADIUS;
        float f39 = f37 + f38;
        float f40 = this.ry - 5.0F;
        DataView localDataView3 = this;
        PaintScreen localPaintScreen8 = paramPaintScreen;
        localDataView3.radarText(localPaintScreen8, str4, f39, f40, 1);
        localUIEvent = null;
      }
      synchronized (this.uiEvents)
      {
        if (this.uiEvents.size() > 0)
        {
          localUIEvent = (UIEvent)this.uiEvents.get(0);
          this.uiEvents.remove(0);
        }
        if (localUIEvent != null)
        {
          int i15 = localUIEvent.type;
          int i16 = UIEvent.KEY;
          if (i15 == i16)
          {
            KeyEvent localKeyEvent1 = (KeyEvent)localUIEvent;
            DataView localDataView4 = this;
            KeyEvent localKeyEvent2 = localKeyEvent1;
            localDataView4.handleKeyEvent(localKeyEvent2);
            localUIEvent = null;
          }
        }
        if (localUIEvent != null)
        {
          int i17 = localUIEvent.type;
          int i18 = UIEvent.CLICK;
          if (i17 == i18)
          {
            ClickEvent localClickEvent1 = (ClickEvent)localUIEvent;
            DataView localDataView5 = this;
            ClickEvent localClickEvent2 = localClickEvent1;
            localDataView5.handleClickEvent(localClickEvent2);
          }
        }
        Date localDate = new Date();
        this.dt = localDate;
        long l1 = this.dt.getTime();
        this.endTime = l1;
        StringBuilder localStringBuilder2 = new StringBuilder("endtime: ");
        long l2 = this.endTime;
        String str5 = l2;
        Log.d("endtime..............", str5);
        long l3 = this.endTime;
        long l4 = this.startTime;
        long l5 = l3 - l4;
        if (l5 > 10000L)
        {
          MixState localMixState3 = this.state;
          int i19 = MixState.NOT_STARTED;
          localMixState3.nextLStatus = i19;
          StringBuilder localStringBuilder3 = new StringBuilder("update: ");
          long l6 = l5;
          String str6 = l6;
          Log.d("update..............", str6);
          long l7 = this.endTime;
          this.startTime = l7;
        }
        return;
        ArrayList localArrayList3 = Common.getInstance().getCafeList();
        int i20 = i;
        CafeDataSuper localCafeDataSuper1 = (CafeDataSuper)localArrayList3.get(i20);
        DataHandler localDataHandler1 = this.jLayer;
        String str7 = String.valueOf(localCafeDataSuper1.getStoreMainName());
        StringBuilder localStringBuilder4 = new StringBuilder(str7).append(" ");
        String str8 = localCafeDataSuper1.getStoreName();
        String str9 = str8;
        double d1 = localCafeDataSuper1.getLatitude();
        double d2 = localCafeDataSuper1.getLongitude();
        localDataHandler1.addMarker(str9, d1, d2, 1.0D, "");
        i += 1;
        continue;
        CafeDataSuper localCafeDataSuper2 = Common.getInstance().getEachCafeData();
        DataHandler localDataHandler2 = this.jLayer;
        String str10 = String.valueOf(localCafeDataSuper2.getStoreMainName());
        StringBuilder localStringBuilder5 = new StringBuilder(str10).append(" ");
        String str11 = localCafeDataSuper2.getStoreName();
        String str12 = str11;
        double d3 = localCafeDataSuper2.getLatitude();
        double d4 = localCafeDataSuper2.getLongitude();
        localDataHandler2.addMarker(str12, d3, d4, 1.0D, "");
        break label129;
        label1266: ArrayList localArrayList4 = this.jLayer.markers;
        int i21 = i2;
        Marker localMarker1 = (Marker)localArrayList4.get(i21);
        float[] arrayOfFloat = new float[1];
        arrayOfFloat[0] = 0;
        double d5 = localMarker1.mGeoLoc.getLatitude();
        double d6 = localMarker1.mGeoLoc.getLongitude();
        double d7 = this.ctx.getCurrentLocation().getLatitude();
        double d8 = this.ctx.getCurrentLocation().getLongitude();
        Location.distanceBetween(d5, d6, d7, d8, arrayOfFloat);
        float f41 = arrayOfFloat[0] / 1000.0F;
        float f42 = this.radius;
        if (f41 < f42)
        {
          if (!this.frozen)
          {
            Location localLocation2 = this.curFix;
            long l8 = System.currentTimeMillis();
            Marker localMarker2 = localMarker1;
            Location localLocation3 = localLocation2;
            long l9 = l8;
            localMarker2.update(localLocation3, l9);
          }
          Camera localCamera1 = this.cam;
          float f43 = this.addX;
          float f44 = this.addY;
          Marker localMarker3 = localMarker1;
          Camera localCamera2 = localCamera1;
          float f45 = f43;
          float f46 = f44;
          localMarker3.calcPaint(localCamera2, f45, f46);
          Marker localMarker4 = localMarker1;
          PaintScreen localPaintScreen9 = paramPaintScreen;
          localMarker4.draw(localPaintScreen9);
        }
        i2 += 1;
        break label184;
        label1489: int i22 = i7;
        int i23 = 1;
        if (i22 != i23)
        {
          int i24 = i7;
          int i25 = 2;
          if (i24 != i25);
        }
        else
        {
          str1 = "遺";
          break label265;
        }
        int i26 = i7;
        int i27 = 3;
        if (i26 != i27)
        {
          int i28 = i7;
          int i29 = 4;
          if (i28 != i29);
        }
        else
        {
          str1 = "�";
          break label265;
        }
        int i30 = i7;
        int i31 = 5;
        if (i30 != i31)
        {
          int i32 = i7;
          int i33 = 6;
          if (i32 != i33);
        }
        else
        {
          str1 = "�";
          break label265;
        }
        int i34 = i7;
        int i35 = 7;
        if (i34 != i35)
        {
          int i36 = i7;
          int i37 = 8;
          if (i36 != i37);
        }
        else
        {
          str1 = "�";
          break label265;
        }
        int i38 = i7;
        int i39 = 9;
        if (i38 != i39)
        {
          int i40 = i7;
          int i41 = 10;
          if (i40 != i41);
        }
        else
        {
          str1 = "�";
          break label265;
        }
        int i42 = i7;
        int i43 = 11;
        if (i42 != i43)
        {
          int i44 = i7;
          int i45 = 12;
          if (i44 != i45);
        }
        else
        {
          str1 = "�";
          break label265;
        }
        int i46 = i7;
        int i47 = 13;
        if (i46 != i47)
        {
          int i48 = i7;
          int i49 = 14;
          if (i48 != i49)
            break label265;
        }
        str1 = "遺";
      }
    }
  }

  boolean handleClickEvent(ClickEvent paramClickEvent)
  {
    boolean bool = false;
    int i = this.state.nextLStatus;
    int j = MixState.DONE;
    int k;
    if (i == j)
      k = this.jLayer.markers.size() - 1;
    while (true)
    {
      if ((k < 0) || (bool))
        return bool;
      Marker localMarker = (Marker)this.jLayer.markers.get(k);
      float f1 = paramClickEvent.x;
      float f2 = paramClickEvent.y;
      MixContext localMixContext = this.ctx;
      MixState localMixState = this.state;
      bool = localMarker.fClick(f1, f2, localMixContext, localMixState);
      k += -1;
    }
  }

  public void init(int paramInt1, int paramInt2)
  {
    try
    {
      this.width = paramInt1;
      this.height = paramInt2;
      int i = this.width;
      int j = this.height;
      Camera localCamera1 = new Camera(i, j, 1);
      this.cam = localCamera1;
      Camera localCamera2 = this.cam;
      float f1 = Camera.DEFAULT_VIEW_ANGLE;
      localCamera2.setViewAngle(f1);
      ScreenLine localScreenLine1 = this.lrl;
      float f2 = -RadarPoints.RADIUS;
      localScreenLine1.set(0.0F, f2);
      ScreenLine localScreenLine2 = this.lrl;
      double d1 = Camera.DEFAULT_VIEW_ANGLE / 2.0F;
      localScreenLine2.rotate(d1);
      ScreenLine localScreenLine3 = this.lrl;
      float f3 = this.rx;
      float f4 = RadarPoints.RADIUS;
      float f5 = f3 + f4;
      float f6 = this.ry;
      float f7 = RadarPoints.RADIUS;
      float f8 = f6 + f7;
      localScreenLine3.add(f5, f8);
      ScreenLine localScreenLine4 = this.rrl;
      float f9 = -RadarPoints.RADIUS;
      localScreenLine4.set(0.0F, f9);
      ScreenLine localScreenLine5 = this.rrl;
      double d2 = -Camera.DEFAULT_VIEW_ANGLE / 2.0F;
      localScreenLine5.rotate(d2);
      ScreenLine localScreenLine6 = this.rrl;
      float f10 = this.rx;
      float f11 = RadarPoints.RADIUS;
      float f12 = f10 + f11;
      float f13 = this.ry;
      float f14 = RadarPoints.RADIUS;
      float f15 = f13 + f14;
      localScreenLine6.add(f12, f15);
      this.frozen = 0;
      this.isInit = 1;
      long l1 = this.dt.getTime();
      this.startTime = l1;
      StringBuilder localStringBuilder = new StringBuilder("starttime: ");
      long l2 = this.startTime;
      String str = l2;
      Log.d("startTime..............", str);
      return;
    }
    catch (Exception localException)
    {
      while (true)
        localException.printStackTrace();
    }
  }

  public boolean isInited()
  {
    return this.isInit;
  }

  public void keyEvent(int paramInt)
  {
    synchronized (this.uiEvents)
    {
      ArrayList localArrayList2 = this.uiEvents;
      KeyEvent localKeyEvent = new KeyEvent(paramInt);
      localArrayList2.add(localKeyEvent);
      return;
    }
  }

  void radarText(PaintScreen paramPaintScreen, String paramString, float paramFloat1, float paramFloat2, boolean paramBoolean)
  {
    float f1 = paramPaintScreen.getTextWidth(paramString);
    float f2 = 4.0F * 2.0F;
    float f3 = f1 + f2;
    float f4 = paramPaintScreen.getTextAsc();
    float f5 = paramPaintScreen.getTextDesc();
    float f6 = f4 + f5;
    float f7 = 2.0F * 2.0F;
    float f8 = f6 + f7;
    if (paramBoolean)
    {
      int i = Color.rgb(0, 0, 0);
      paramPaintScreen.setColor(i);
      paramPaintScreen.setFill(1);
      float f9 = f3 / 2.0F;
      float f10 = paramFloat1 - f9;
      float f11 = f8 / 2.0F;
      float f12 = paramFloat2 - f11;
      paramPaintScreen.paintRect(f10, f12, f3, f8);
      int j = Color.rgb(255, 255, 255);
      paramPaintScreen.setColor(j);
      paramPaintScreen.setFill(0);
      float f13 = f3 / 2.0F;
      float f14 = paramFloat1 - f13;
      float f15 = f8 / 2.0F;
      float f16 = paramFloat2 - f15;
      paramPaintScreen.paintRect(f14, f16, f3, f8);
    }
    float f17 = 4.0F + paramFloat1;
    float f18 = f3 / 2.0F;
    float f19 = f17 - f18;
    float f20 = paramPaintScreen.getTextAsc() + 2.0F + paramFloat2;
    float f21 = f8 / 2.0F;
    float f22 = f20 - f21;
    paramPaintScreen.paintText(f19, f22, paramString);
  }
}

/* Location:           C:\dex2jar-0.0.7.4-SNAPSHOT\classes.dex.dex2jar.jar
 * Qualified Name:     Jgun.CafeFinder.org.mixare.DataView
 * JD-Core Version:    0.6.0
 */